<?php
 class sfEmailValidatorExtended2 extends sfValidatorBase
{
	protected function configure($options = array(), $messages = array())
	  {
	  	$this->addOption('userId', 0);
	  	$this->addMessage("invalid", "Nieprawidłowy email");
	  	$this->addMessage("exists", "Podany email już istnieje");
	  	//$this->form = $options['form'];
	  }
	
  protected function doClean($value)
  {
  	$ev = new sfValidatorEmail(array(), array("invalid" => "Nieprawidłowy email"));
  	$ev->clean($value);
    
    $id = $this->getOption("userId");
    
    $criteria = new Criteria();
    $criteria->add(UserPeer::ID, $id, Criteria::NOT_EQUAL);
    $criteria->add(UserPeer::EMAIL, $value, Criteria::LIKE);
    
    if(UserPeer::doCount($criteria) == 0) throw new sfValidatorError($this, 'exists');
 
    return $value;
  }
}
?>