<div class="container">

	<h2 class="color2 mt0"><?php echo $activity->getTitle(); ?></h2>


	<?php if($isAuthenticated): ?>
	<div class="kiwiFormField">
		<span class="kiwiLabel">Organizacja:</span> 
		<span class="kiwiValue">
		<?php 
			$id = $activity->getFoundation()->getUser()->getId();
			$name = $activity->getFoundation()->getUser()->getName();
			echo "<a class='kiwiValue' href='/user/foundation/$id'>$name</a>";

		 ?>

		</span>
	</div>
	<?php endif; ?>


	<div class="kiwiFormField ">
		<span class="kiwiLabel">Typ oferty:</span> 
		<span class="kiwiValue"><?php if($activity->getIsInternet()) echo "Internetowa";
		else echo "Zwykła"; ?></span>
	</div>

	<div class="kiwiFormField">
		<span class="kiwiLabel">Termin:</span> 
		<span class="kiwiValue">
	<?php if($activity->getIsConstant()) echo "Oferta stała";
		else echo $activity->getStartsAt('d.m.Y h:i')." - ".$activity->getFinishesAt('d.m.Y h:i'); ?>
		</span>
	</div>

	<div class="kiwiFormField">
	<span class="kiwiLabel">Ilość wolnych miejsc:</span>
	<span class="kiwiValue">
	<?php if($activity->getPlacesAvailable() <= 0) echo "Brak miejsc";
		else echo $activity->getPlacesAvailable(); ?>
		</span>
	</div>


	<?php if($isAdmin): ?>

	<div class="itemBlack">Dane kontaktowe</div>
	<div class="kiwiFormField ">
		<span class="kiwiLabel">Telefon:</span> 
		<span class="kiwiValue"><?php echo $activity->getPhone(); ?></span>
	</div>
	<div class="kiwiFormField">
		<span class="kiwiLabel">E-mail:</span> 
		<span class="kiwiValue"><a  class='kiwiValue' href="mailto:<?php echo $activity->getEmail(); ?>"><?php echo $activity->getEmail(); ?></a></span>
	</div>
	<div class="kiwiFormField ">
		<span class="kiwiLabel">Osoba kontaktowa:</span> 
		<span class="kiwiValue"><?php echo $activity->getContactPerson(); ?></span>
	</div>
	<?php endif; ?>


	<?php if($activity->getContent() != ""): ?>

	<div id="activity-content">
		<?php echo htmlspecialchars_decode($activity->getContent()); ?>
	</div>
	<?php endif; ?>



	<?php if($activity->getAddress() != ""): ?>
	<div class="itemBlack">Lokalizacja:</div>
	<div class="kiwiFormField">
		<span class="kiwiLabel">Adres:</span> 
		<span class="kiwiValue"><?php echo $activity->getAddress(); ?></span>
	</div>
	<? endif; ?>
	<?php if($activity->getLatitude() != ""): ?>

	<div class="kiwiFormField">
		<div class="kiwiGoogleMaps">
			<div id="latitude"><?php echo $activity->getLatitude(); ?></div>
			<div id="longitude"><?php echo $activity->getLongitude(); ?></div>
		</div> 
	</div> 
	<? endif; ?>
	<?php

	if($isAdmin):
	$criteria = new Criteria();
	$criteria->add(UserActivityPeer::STATUS, 2, Criteria::EQUAL);
	$ua = $activity->getUserActivitys($criteria);

	if(count( $ua ) > 0): ?>

	<div class="itemBlack">Wzięli udział</div>
		<div class="kiwiFormField">
			<table  class="participants">
				<tr>
					<th>Imię i nazwisko</th>
					<th>Data aplikacji</th>

					<?php if($isAdmin): ?>
					<th>Uwagi</th>
					<th>Akcje</th>
					<?php endif; ?>
				</tr>
		<?php foreach($ua as $us): ?>

			<tr>
				<td>
				<a href="/user/volunteer/<?php echo $us->getUserId(); ?>"  title="<?php echo $us->getUser()->getName(); ?>">
					  <?php echo $us->getUser()->getName(); ?></a>
				</td>
				<td>
				<?php echo $us->getApplicationDate(); ?>
				</td>
				<?php if($isAdmin): ?>
				<td>
					<?php if(!$us->getComment()):?><a href="/activity/addComment?id=<?php echo $us->getId(); ?>" >Dodaj komentarz</a><br>
					<?php else: ?>
						<img src="/images/exclamationMark.png"  class="exclamationMark" title="<?php echo $us->getComment(); ?>"/> 
						<a href="/activity/deleteComment?id=<?php echo $us->getId(); ?>" >Usuń komentarz</a><br>
				<?php endif; ?>
				</td>
				<td>
					<a href="/activity/acceptParticipant?status=3&id=<?php echo $us->getId(); ?>" >Nie przyszedł</a><br>
					<a href="/activity/deleteParticipant?id=<?php echo $us->getId(); ?>" >Usuń</a>
				</td>
				<?php endif;?>

		<?php endforeach; ?>
			</table>
		</div>
	<? endif; 

	$criteria = new Criteria();
	$criteria->add(UserActivityPeer::STATUS, 3, Criteria::EQUAL);
	$ua = $activity->getUserActivitys($criteria);

	if(count( $ua ) > 0): ?>

	<div class="itemBlack">Nie Przyszli</div>
		<div class="kiwiFormField">

		<table  class="participants">
				<tr>
					<th>Imię i nazwisko</th>
					<th>Data aplikacji</th>

					<?php if($isAdmin): ?>
					<th>Uwagi</th>
					<th>Akcje</th>
					<?php endif; ?>
				</tr>
		<?php foreach($ua as $us): ?>

			<tr>
				<td>
				<a href="/user/volunteer/<?php echo $us->getUserId(); ?>"  title="<?php echo $us->getUser()->getName(); ?>">
					  <?php echo $us->getUser()->getName(); ?></a>
				</td>
				<td>
				<?php echo $us->getApplicationDate(); ?>
				</td>
				<?php if($isAdmin): ?>
				<td>
					<?php if(!$us->getComment()):?><a href="/activity/addComment?id=<?php echo $us->getId(); ?>" >Dodaj komentarz</a><br>
					<?php else: ?>
						<img src="/images/exclamationMark.png"  class="exclamationMark" title="<?php echo $us->getComment(); ?>"/> 
						<a href="/activity/deleteComment?id=<?php echo $us->getId(); ?>" >Usuń komentarz</a><br>
					<?php endif; ?>
				</td>
				<td>
					<a href="/activity/acceptParticipant?status=2&id=<?php echo $us->getId(); ?>" >Przyszedł</a><br>
					<a href="/activity/acceptParticipant?status=1&id=<?php echo $us->getId(); ?>" >Do akcpeptacji</a><br>
					<a href="/activity/deleteParticipant?id=<?php echo $us->getId(); ?>" >Usuń</a>
				</td>
				<?php endif;?>

		<?php endforeach; ?>
			</table>
	</div>

	<? endif; 

	$criteria = new Criteria();
	$criteria->add(UserActivityPeer::STATUS, 1, Criteria::EQUAL);
	$ua = $activity->getUserActivitys($criteria);

	if(count( $ua ) > 0): ?>

	<div class="itemBlack">Zaakceptowani</div>

	<div class="kiwiFormField">

		<table  class="participants">
				<tr>
					<th>Imię i nazwisko</th>
					<th>Data aplikacji</th>

					<?php if($isAdmin): ?>
					<th>Uwagi</th>
					<th>Akcje</th>
					<?php endif; ?>
				</tr>
		<?php foreach($ua as $us): ?>

			<tr>
				<td>
				<a href="/user/volunteer/<?php echo $us->getUserId(); ?>"  title="<?php echo $us->getUser()->getName(); ?>">
					  <?php echo $us->getUser()->getName(); ?></a>
				</td>
				<td>
				<?php echo $us->getApplicationDate(); ?>
				</td>
				<?php if($isAdmin): ?>
				<td>
					<?php if(!$us->getComment()):?><a href="/activity/addComment?id=<?php echo $us->getId(); ?>" >Dodaj komentarz</a><br>
					<?php else: ?>
						<img src="/images/exclamationMark.png"  class="exclamationMark" title="<?php echo $us->getComment(); ?>"/> 
						<a href="/activity/deleteComment?id=<?php echo $us->getId(); ?>" >Usuń komentarz</a><br>
					<?php endif; ?>
				</td>
				<td>
					<a href="/activity/acceptParticipant?status=2&id=<?php echo $us->getId(); ?>" >Wziął udział</a><br>
					<a href="/activity/acceptParticipant?status=3&id=<?php echo $us->getId(); ?>" >Nie wziął udziału</a><br>
					<a href="/activity/deleteParticipant?id=<?php echo $us->getId(); ?>" >Usuń</a>
				</td>
				<?php endif;?>

		<?php endforeach; ?>
			</table>	
	</div>
	<?php
	endif; 
		$criteria = new Criteria();
		$criteria->add(UserActivityPeer::STATUS, 1, Criteria::LESS_THAN);
		$ua = $activity->getUserActivitys($criteria);
	if(count( $ua ) > 0): ?>

		<div class="itemBlack">Do akceptacji</div>
		<div class="kiwiFormField">


		<table  class="participants">
		<tr>
		<th>Imię i nazwisko</th>
		<th>Data aplikacji</th>

		<?php if($isAdmin): ?>
						<th>Uwagi</th>
						<th>Akcje</th>
						<?php endif; ?>
					</tr>
			<?php foreach($ua as $us): ?>

				<tr>
					<td>
					<a href="/user/volunteer/<?php echo $us->getUserId(); ?>"  title="<?php echo $us->getUser()->getName(); ?>">
						  <?php echo $us->getUser()->getName(); ?></a>
					</td>
					<td>
					<?php echo $us->getApplicationDate(); ?>
					</td>
					<?php if($isAdmin): ?>
					<td>
						<?php if(!$us->getComment()):?><a href="/activity/addComment?id=<?php echo $us->getId(); ?>" >Dodaj komentarz</a><br>
						<?php else: ?>
							<img src="/images/exclamationMark.png"  class="exclamationMark" title="<?php echo $us->getComment(); ?>"/> 
							<a href="/activity/deleteComment?id=<?php echo $us->getId(); ?>" >Usuń komentarz</a><br>
						<?php endif; ?>
					</td>
					<td>
				<a href="/activity/acceptParticipant?status=1&id=<?php echo $us->getId(); ?>" >Zaakceptuj</a><br>
				<a href="/activity/deleteParticipant?id=<?php echo $us->getId(); ?>" >Usuń</a>
					</td>
					<?php endif;?>

			<?php endforeach; ?>
				</table>	
	</div>
		<?php
		endif; 

	endif; ?>

	<?php if(!$isAuthenticated): ?>
	<div class="apply">
		<form method="post" action="/user/becomeVolunteer" id="msg">
			<!--<input type="text" name="email" id="email" class="apply applyEmail italic" value="Twój email" />
			  <input type="text" name="phone" id="phne" class="apply applyPhone italic" value="Twój telefon"/>-->
			<input type="hidden" name="activity" value="<?php echo $activity->getId(); ?>" />
<!--			<div class="applyButton applyButton1" onclick="$('form#msg').submit()"></div>-->
			<button class="btn btn-default mt30" onClick="$('form#msg').submit()">APLIKUJ</button>
			<span class="applyMessage"></span>
		</form>
	</div>
	<? endif; ?>
	<?php if($isVolunteer): 
	$criteria = new Criteria();
	$criteria->add(UserActivityPeer::ACTIVITY_ID, $activity->getId(), Criteria::EQUAL);
	$criteria->add(UserActivityPeer::USER_ID, $user->getId(), Criteria::EQUAL);
	if(UserActivityPeer::doCount($criteria) != 1):
	?>
	<div class="apply">
		<form method="post" action="/activity/applyLogged" id="msg">
			<input type="hidden" name="activity" value="<?php echo $activity->getId(); ?>" />
<!--			<div class="applyButton applyButton1" onclick="$('form#msg').submit()"></div>-->
			<input type="submit" value="APLIKUJ" class="btn btn-default mt30" />
			<span class="applyMessage"></span>
		</form>
	</div>
	<? endif; endif; ?>

</div>