<?php

require_once dirname(__FILE__).'/../lib/activityNewGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/activityNewGeneratorHelper.class.php';

/**
 * activityNew actions.
 *
 * @package    Kiwi
 * @subpackage activityNew
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class activityNewActions extends autoActivityNewActions
{
	
	public function executeNew(sfWebRequest $request)
	{
	 $this->oferta = new Activity();
  	 
  	 
  	 $this->oferta->setStartsAt( time() );
  	 $this->oferta->setPosition( 1 );
  	 $this->oferta->setFinishesAt( time() );
  	 $this->oferta->setCreatedAt( time() );
  	 if($this->getUser()->isAuthenticated() && $this->getUser()->getUserObject()->getCategoryId() == 4) {

  	 	$this->oferta->setUser( $this->getUser()->getUserObject() );
  	 /*	$criteria = new Criteria();
  	 	$criteria->add(UserPeer::CATEGORY_ID, 4 , Criteria::EQUAL);
  	 	 
  	 	$this->oferta->setUser( UserPeer::doSelectOne($criteria) );*/
  	 } else {
	  	 $criteria = new Criteria();
	  	 $criteria->add(UserPeer::CATEGORY_ID, 4 , Criteria::EQUAL);
	  	 
	  	 $this->oferta->setUser( UserPeer::doSelectOne($criteria) );
  	 }
  	 $this->oferta->setArchived( true );
  	 
     $this->form = $this->configuration->getForm($this->oferta);
	}
	
	public function executeCreate(sfWebRequest $request)
	{
	$this->form = $this->configuration->getForm();
	$this->oferta = $this->form->getObject();
	
	$this->processForm($request, $this->form);
	
	$this->setTemplate('new');
	}
	
	protected function processForm(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{
			$notice = $form->getObject()->isNew() ? 'The item was created successfully.' : 'The item was updated successfully.';
	
			$oferta = $form->save();
	
			$this->dispatcher->notify(new sfEvent($this, 'admin.save_object', array('object' => $oferta)));
	
			EmailHelper::sendMessage(EmailHelper::$kiwiEmail,
									EmailHelper::$kiwiAlias,
									array(EmailHelper::$kiwiEmail => EmailHelper::$kiwiAlias),
													"Utworzono nową ofertę na kiwi",
									array(		),
											"<a href='http://kiwi/org.pl/activity/".$oferta->getId()."/edit'>Oferta id ".$oferta->getId()."</a>"
			);
			
			
			$this->redirect('/activityNew/newActivitySent');
		}
		else
		{
			$this->getUser()->setFlash('error', 'The item has not been saved due to some errors.', false);
		}
	}
	
	
	public function executeNewActivitySent(sfWebRequest $request)
	{
	}
}
