<?php

require_once dirname(__FILE__).'/../lib/eventGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/eventGeneratorHelper.class.php';

/**
 * event actions.
 *
 * @package    Kiwi
 * @subpackage event
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class eventActions extends autoEventActions
{
 public function executeNew(sfWebRequest $request)
  {
  	 $this->Wiadomosc = new Event();
  	 $this->Wiadomosc->setIsCalendar(false);
  	 $this->Wiadomosc->setStartsAt( time() );
  	 $this->Wiadomosc->setFinishesAt( time() );
  	 $this->Wiadomosc->setCreatedAt( time() );
  	 
  	 $this->Wiadomosc->setIsPublished(true);
  	 
  	 
  	 $this->user = $this->getUser();
     $this->form = $this->configuration->getForm($this->Wiadomosc);
  }
  
 
  public function executeDetails(sfWebRequest $request) {
	  
	$eventId = $request->getParameter('eventId');
	// przekierowanie adresu /tydzienwolontariatu na event podany w routing.yml
	if (is_numeric($eventId)) {
		$criteria = new Criteria();
		$criteria->add(EventPeer::ID, $eventId, Criteria::EQUAL);
		$this->event = EventPeer::doSelectOne($criteria);
	// pobierz obiekt eventu na podstawie id zaszytego w url-u
	} else {
		$this->event = $this->getRoute()->getObject();
	}
	
	$this->forward404Unless($this->event && $this->event->getIsPublished());
  }
  
  public function executeList(sfWebRequest $request) {
  	//$this->newsCategory = $this->getRoute()->getObject();
  	//$this->forward404Unless($this->newsCategory);

  	$criteria = new Criteria();
  	//$criteria->add(EventPeer::CATEGORY_ID, $this->newsCategory->getId(), Criteria::EQUAL);
  	$criteria->add(EventPeer::IS_PUBLISHED, true, Criteria::EQUAL);
	$criteria->add(EventPeer::CATEGORY_ID, null, Criteria::NOT_EQUAL);
  	$criteria->addDescendingOrderByColumn(EventPeer::CREATED_AT);
  
  	$this->pager = new sfPropelPager('Event', sfConfig::get('app_news_per_page'));
  	$this->pager->setCriteria($criteria);
  	$this->pager->setPage($request->getParameter('page', 1));
  	$this->pager->init();
  
  }
  
  public function executeCopyNewsToEvent(sfWebRequest $request)
  {
  $news = NewsPeer::doSelect(new Criteria());
  foreach($news as $item) {
  $event = new Event();
  $event->setTitle($item->getTitle());
  $event->setContent($item->getContent());
  $event->setIsPublished(true);
  $event->setShortContent($item->getShortContent());
  $event->setCreatedAt($item->getCreatedAt());
  $event->setCreatedAt($item->getCreatedAt());
  $event->setImage($item->getImage());
  $event->setCategoryId($item->getCategoryId());
  $event->save();
  $item->delete();
  }
  }
  
  
}
