<?php
class groupEmailHelper {
	
	public static $offerEmail = "oferty@wolontariatgdansk.pl"; // na ten adres trafiają maile ze strony
	public static $kiwiEmail = "oferty@wolontariatgdansk.pl"; // ten adres wyświetla się w polu 'od' gdy użytkownik dostaje maila
	public static $articleEmail = "gdansk@wolontariat.org.pl";
	public static $kiwiAlias = "Wolontariat Gdańsk";
	
	public static function sendMessage(GroupCategory $group, $content) {
		$mailer = sfContext::getInstance()->getMailer();
		
		$subject = "Wiadomość wysłana na portalu Kiwi.org.pl przez ".$group->getUser()->getName();
		
		foreach($group->getUserGroups() as $ug) {
			$message = $mailer->compose();
			$message->setSubject($subject);
			$message->setTo($ug->getUser()->getEmail());
			$message->setFrom(array(groupEmailHelper::$kiwiEmail => groupEmailHelper::$kiwiAlias));
			$message->setReplyTo($group->getUser()->getEmail(), $group->getUser()->getName());
			$cont = $content."<br><br>Jeśli nie chcesz otrzymywać więcej wiadomości z tej grupy kliknij na następujący link <a href='http://www.kiwi.org.pl/group/unsubscribe?token=".$ug->getToken()."'>Wypisz się z grupy</a>";
			
			$message->setBody($cont, 'text/html');
			$mailer->send($message);
		}
		
		$message = $mailer->compose();
		$message->setSubject($subject);
		$message->setTo($group->getUser()->getEmail(), $group->getUser()->getName());
		$message->setFrom(array(groupEmailHelper::$kiwiEmail => groupEmailHelper::$kiwiAlias));
		$message->setReplyTo($group->getUser()->getEmail(), $group->getUser()->getName());
			
		$message->setBody($content, 'text/html');
		$mailer->send($message);
		    
	}

	
	public static function sendAddToGroup(UserGroup $ug) {
	$mailer = sfContext::getInstance()->getMailer();
	
	$message = $mailer->compose();
	$message->setSubject("Zostałeś dodany do grupy odbiorczej przez ".$ug->getGroupCategory()->getUser()->getName());
	$message->setTo($ug->getUser()->getEmail());
	$message->setFrom(array(groupEmailHelper::$kiwiEmail => groupEmailHelper::$kiwiAlias));
	$message->setReplyTo($ug->getGroupCategory()->getUser()->getEmail(), $ug->getGroupCategory()->getUser()->getName());
	$cont = "Jeśli nie chcesz otrzymywać więcej wiadomości z tej grupy kliknij na następujący link <a href='http://www.kiwi.org.pl/group/unsubscribe?token=".$ug->getToken()."'>Wypisz się z grupy</a>";
	$message->setBody($cont, 'text/html');
	$mailer->send($message);
	
	
	}
}
?>