<?php
class messageEmailHelper {
	
	
	public static function sendQuestion($email, $content, $destination) {
		$mailer = sfContext::getInstance()->getMailer();
		
		$message = $mailer->compose();
	    $message->setSubject("Pytanie zadane poprzez portal Kiwi.org.pl");
	    $message->setTo($email);
	    $message->setFrom(array(emailHelper::$kiwiEmail => emailHelper::$kiwiAlias));
	
	    $criteria = new Criteria();
		$criteria->add(ContentPeer::NAME, "Email do nadawcy pytania", Criteria::LIKE);
		$html = htmlspecialchars_decode(ContentPeer::doSelectOne($criteria)->getContent());
		$html = str_replace("%%MSG%%",$content, $html );
		$message->setBody($html, 'text/html');
	    $mailer->send($message);
	    
	    $message = $mailer->compose();
	    $message->setSubject("Pytanie zadane poprzez portal Kiwi.org.pl");
	    $message->setTo($destination);
	    $message->setFrom(array(emailHelper::$kiwiEmail => emailHelper::$kiwiAlias));
	
	    $criteria = new Criteria();
		$criteria->add(ContentPeer::NAME, "Email do odbiorcy pytania", Criteria::LIKE);
		$html = htmlspecialchars_decode(ContentPeer::doSelectOne($criteria)->getContent());
		$html = str_replace("%%EMAIL%%","<a href='mailto:$email'>$email</a>", $html );
		$html = str_replace("%%MSG%%",$content, $html );
		$message->setBody($html, 'text/html');
	    $mailer->send($message);		    
	}

	
}
?>