<?php

require_once dirname(__FILE__).'/../lib/patronageGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/patronageGeneratorHelper.class.php';

/**
 * patronage actions.
 *
 * @package    Kiwi
 * @subpackage patronage
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class patronageActions extends autoPatronageActions
{
public function executeNew(sfWebRequest $request)
{
  	 $this->patronat = new Patronage();
  	 $this->patronat->setCreatedAt( time() );
  	 
     $this->form = $this->configuration->getForm($this->patronat);
  }
  
public function executeDetails(sfWebRequest $request)
{
  	$this->patronat = $this->getRoute()->getObject();
  	$this->forward404Unless($this->patronat);
  }
  
  public function executeList(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->addDescendingOrderByColumn(PatronagePeer::CREATED_AT);
  
  	$this->pager = new sfPropelPager('Patronage', sfConfig::get('app_news_per_page'));
  	$this->pager->setCriteria($criteria);
  	$this->pager->setPage($request->getParameter('page', 1));
  	$this->pager->init();
  
  }
}
