<div class="itemTitle"><?php echo $project->getTitle() ?></div>

<div class="itemContent">
	<?php 	
	if($project->getImagePath()): ?>
	
	<a href="/<?php echo $project->getImagePath(); ?>" class="lightbox">
		<img class="itemImage" src="/<?php echo $project->getImagePath(); ?>" />
	</a>
	<? endif; ?>
	<?php echo htmlspecialchars_decode($project->getContent()); ?>
	<div class="clear"></div>
</div><div class="clear"></div>

<div class="itemBlack">Wiadomości</div>
<?php if(count($project->getEvents()) > 0): 
	foreach ($project->getEvents() as $event):?>
<div class="listItem">
	<div class="line"></div>
	<div class="title" ><span class="date"><?php echo $event->getCreatedAt('d.m.Y') ?></span> <a href="<?php echo url_for('event_details', $event); ?>"><?php echo $event->getTitle() ?></a></div>
	<img class="image" src="/<?php echo $event->getThumbPath(); ?>" />
	<?php echo htmlspecialchars_decode($event->getShortContent()) ?>
	<div class="more" ><a href="<?php echo url_for('event_details', $event); ?>">więcej</a></div>
	<div class="clear"></div>
</div>
<?php 
endforeach;
endif; ?>
<?php
$criteria = new Criteria();
$criteria->add(FoundationImagePeer::IS_LOGO, NULL, Criteria::EQUAL);
$images = $project->getFoundationImages($criteria);
if(count($images) > 0): ?>

<div class="itemBlack">Galeria zdjęć</div>

<table class="kiwiGallery">
 <?php
		$i = 0; 
		$imagesPerRow = 3;
		foreach ($images as $image): 
			if($i % $imagesPerRow == 0)	echo "<tr>";
		?>
		    <td class="kiwiGallery">
		    	<a href="/<?php echo $image->getImagePath() ?>" class="lightbox">
		    	<img class="kiwiGallery" src="/<?php echo $image->getThumbPath() ?>" />
		   		</a>
		    </td>
  <?php
    $i++;
    if($i % $imagesPerRow == 0)	echo "</tr>";
    endforeach;
    if($i % $imagesPerRow != 0)	echo "</tr>";
 ?>
</table>
<div class="clear"></div>
<? endif; ?>

<?php
$criteria = new Criteria();
$criteria->add(FoundationImagePeer::IS_LOGO, true, Criteria::EQUAL);
$images = $project->getFoundationImages($criteria);
if(count($images) > 0): ?>
<div class="itemBlack">Nasi partnerzy</div>

<table class="kiwiGallery">
 <?php
		$i = 0; 
		$imagesPerRow = 3;
		foreach ($images as $image): 
			if($i % $imagesPerRow == 0)	echo "<tr>";
		?>
		    <td class="kiwiGallery">
		    	<a href="<?php echo $image->getLogoLink() ?>" >
		    	<img class="kiwiGallery" src="/<?php echo $image->getImagePath() ?>" />
		   		</a>
		    </td>
  <?php
    $i++;
    if($i % $imagesPerRow == 0)	echo "</tr>";
    endforeach;
    if($i % $imagesPerRow != 0)	echo "</tr>";
 ?>
</table>
<div class="clear"></div>
<? endif; ?>
<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#appId=269879269688888&amp;xfbml=1"></script>
<fb:like href="http://kiwi.org.pl/proj/<?php echo $project->getLink(); ?>" send="false" width="450" show_faces="false" action="like" font=""></fb:like>