
<?php 
	$criteria1 = new Criteria();
	$criteria1->add(RentCategoryPeer::CATEGORY_ID, $sector, Criteria::LIKE);
	$rentCategoryObjects = RentCategoryPeer::doSelect($criteria1);
	
	
	$cat = sfContext::getInstance()->getRequest()->getParameter('category', "no");
	
	
	$criteria = new Criteria();
	//$criteria->add(RentPeer::CATEGO RY_ID, $rentCategoryObject->getId(), Criteria::EQUAL);
	if($cat != "no")
		$criteria->add(RentPeer::CATEGORY_ID, $cat, Criteria::EQUAL);
	else {
		$ids = array();
		foreach($rentCategoryObjects as $objts) array_push($ids, $objts->getId());
		$criteria->add(RentPeer::CATEGORY_ID, $ids, Criteria::IN);
	}
	$criteria->addDescendingOrderByColumn(RentPeer::TITLE);
	$criteria->add(RentPeer::ACCEPTED, true, Criteria::EQUAL);
	
	$pager = new sfPropelPager('Rent', sfConfig::get('app_news_per_page'));
	$pager->setCriteria($criteria);
	$pager->setPage( sfContext::getInstance()->getRequest()->getParameter('page', 1));
	$pager->init();
	
	$link = '/'.sfContext::getInstance()->getModuleName()."/".sfContext::getInstance()->getActionName();
	$arg = '&category='.$cat;
	
	$content = Content::findContent($txt);  ?>
	
<div class="itemTitle <?php  echo $class; ?>"><?php  echo $categoryTxt." / ".$content->getTitle(); ?></div>
<div class="itemBlack">Liczba ofert: <?php  echo $pager->count(); ?> </div>
<div class="itemContent">
<?php  echo htmlspecialchars_decode($content->getContent()); 

if($sector == 'Baza szkoleniowców') $rc = 1;
else if($sector == 'Baza sprzętu') $rc = 2;
else $rc = 0; 

?>
	<a href="/rent/new?rentcat=<?php echo $rc; ?>" class="dodajRent"></a>
</div>
	<div class="clear"></div>	

<form action="<?php echo $link; ?>" method="get" id="research">
	<div class="listItem">
		<select name="category" class="volSearch" onChange="$('form#research').submit()">
			<option value="no">filtruj po kategorii</option>
			<?php foreach($rentCategoryObjects as $category) {
				echo "<option value='".$category->getId()."' ";
				if((string)$category->getId() === $cat) echo "selected='selected'";
				echo ">".$category->getName()."</option>";
			} 
			?>
		</select>
	</div>
</form>



<?php foreach ($pager->getResults() as $project): ?>
<div class="listItem">
<div class="line"></div>
<div class="title" > <a href="<?php echo url_for('rent_details', $project); ?>"><?php echo $project->getTitle() ?></a></div>
	<img class="image" src="/<?php echo $project->getThumbPath(); ?>" />
	<?php echo htmlspecialchars_decode($project->getContent()) ?>
	<div class="more" ><a href="<?php echo url_for('rent_details', $project); ?>">więcej</a></div>
	<div class="clear"></div>
</div>
<?php 	endforeach; ?>
</div>
<?php include_partial('index/pagination', array('link' => $link, 'pager' => $pager, 'arguments' => $arg)); ?>
