<?php


/**
 * news actions.
 *
 * @package    Kiwi
 * @subpackage news
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class userActions extends autoUserActions
{

  

  
 protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $notice = $form->getObject()->isNew() ? 'The item was created successfully.' : 'The item was updated successfully.';

      if($form->getObject()->isNew()) {
      	$this->uzytkownik = $form->save();
		  if($this->uzytkownik->getUserType()->getName() == "Organizacja") {
				$v = new Foundation();
			    $v->setUser($this->uzytkownik);
			    //$v->setSectorId($this->form->getValue('sector_id'));
			    $v->save();
			    	
			   } else if($this->uzytkownik->getUserType()->getName() == "Wolontariusz") {
			    	$v = new Volunteer();
			    	$v->setNewsletter(true);
			    	$v->setUser($this->uzytkownik);
			    	$v->save();
			    } 
      }	else    $this->uzytkownik = $form->save();
      $this->dispatcher->notify(new sfEvent($this, 'admin.save_object', array('object' => $this->uzytkownik)));

      if ($request->hasParameter('_save_and_add'))
      {
        $this->getUser()->setFlash('notice', $notice.' You can add another one below.');

        $this->redirect('@user_new');
      }
      else
      {
        $this->getUser()->setFlash('notice', $notice);

        $this->redirect('@user');
      }
    }
    else
    {
      $this->getUser()->setFlash('error', 'The item has not been saved due to some errors.', false);
    }
  }
  
  public function executeChangePassword(sfWebRequest $request)
  {
  $this->form = new ChangePasswordForm($this);
  
  if($request->isMethod('post'))
  	{
  $this->form->bind($request->getPostParameters(), array());
   
  if ($this->form->isValid())
  {
  $this->getUser()->getUserObject()->setPassword(md5($this->form->getValue('newPassword1')));
  $this->getUser()->getUserObject()->save();
  $this->getUser()->setFlash('ok', 'Hasło zmienione pomyślnie', false);
  	  } 
  	}
    }
	public function executeRetrievePassword(sfWebRequest $request)
  {
  	$this->form = new RetrievePasswordForm($this);
	
  	if($request->isMethod('post'))
	{
	  $this->form->bind($request->getPostParameters(), array());
	  
	  if ($this->form->isValid())
	  {
	  	$criteria = new Criteria();
		$criteria->add(UserPeer::EMAIL, $this->form->getValue('email'), Criteria::EQUAL);
		$user = UserPeer::doSelectOne($criteria);
  		$password = formHelper::generateRandomString(rand(6,12), 7);
  		$user->setPassword(md5($password));
  		UserPeer::sendPassword($user, $password);
		$user->save();
		$this->getUser()->setFlash('ok', 'Email z nowym hasłem został wysłany', false);
	  } 
	}
  }
public function executeEditVolunteer(sfWebRequest $request)
{ 
	$this->form = new VolunteerForm();
	  
	$userId = $request->getParameter('id');
	// admin wszedł w edycję wolontariusza
	if ($this->getUser()->hasCredential("Admin") && is_numeric($userId)) {
		// pobierz dane wolontariusza i konta na podstawie id z url-a
		$criteria = new Criteria();
		$criteria->add(VolunteerPeer::USER_ID, $userId, Criteria::EQUAL);
		$volunteerObject = VolunteerPeer::doSelectOne($criteria);
		$criteria = new Criteria();
		$criteria->add(UserPeer::ID, $userId, Criteria::EQUAL);
		$userObject = UserPeer::doSelectOne($criteria);
		$this->userId = $userId; // po tym parametrze rozpoznam w template że to admin edytuje
	// użytkownik edytuje swój profil
	} else {
		$volunteerObject = $this->getUser()->getVolunteerObject();
		$userObject = $this->getUser()->getUserObject();
	}
	  
	  $normalFields = array("first_name", "last_name", "age", "prof_status",
	  "education", "is_male", "content", "phone", 
	  "other_skills", "other_languages", "newsletter");
	  $arrayFields = array("hobby", "skill", "language");
	  
	  	if($request->isMethod('post'))
		{
		  $this->form->bind($request->getPostParameters(), $request->getFiles());
		  
		  if ($this->form->isValid())
		  {
		  	formHelper::setDefaults($this->form, $normalFields, $volunteerObject);
			formHelper::setDefaultsArray($this->form, $arrayFields, $volunteerObject);
		  	 
		  			
		  	 if($this->form->getValue('photo') != null) {
			  	 $temp = sfConfig::get('app_volunteer_images_path').$volunteerObject->getPhoto();
			  	 if(file_exists($temp))
			  	 		unlink ($temp);
			  	 $volunteerObject->setPhoto($this->form->getValue('photo')->save());
		  	 }
		  	 
		  	 $volunteerObject->save();
		  	 
		  	 $userObject->setName($this->form->getValue('first_name')." ".$this->form->getValue('last_name'));
		  	 $userObject->setFirstLogin(true);
		  	 $userObject->save();
		  	 
		  	
		     $this->getUser()->setFlash('ok', 'Dane zapisano poprawnie' , false);
		  } 
		} else  formHelper::getDefaults($this->form, $normalFields, $volunteerObject);
			
		formHelper::getDefaultsArray($this->form, $arrayFields, $volunteerObject);
					
		$this->form->setPath( $volunteerObject->getPhoto() );
		
		$this->fields = array(
			array("first_name", "last_name", "phone", "age", "prof_status", "education", "is_male", "photo"/*, "content"*/),
			/*array("hobby"),*/
			array("skill", "other_skills"),
			array("language", "other_languages"),
			array("newsletter")/*,
			array("rules"),*/
		);
		$this->categories = array("Dane ogólne", /*"Twoje zainteresowania",*/
					"Twoje umiejętności, wiedza", "Znajomość języków", "Newsletter"/*, "Regulamin"*/);
  }

  public function executeFoundation(sfWebRequest $request) {
  	$this->foundation = $this->getRoute()->getObject();
  	
  	$this->forward404Unless($this->foundation);
  	
  	if($this->foundation->getUserType()->getName() != "Organizacja")
  		$this->forward404();
  		
	if($this->getUser()->hasCredential("Admin"))
		$this->isAdmin = true;
	else $this->isAdmin = false;
	
	if($this->getUser()->isAuthenticated())
		$this->isAuthenticated = true;
	else $this->isAuthenticated = false;
	
	if($this->getUser()->hasCredential("Admin") || $this->getUser()->hasCredential("Organizacja"))
		$this->user = $this->getUser()->getUserObject();
	else $this->user = false;
	
  	$criteria = new Criteria();
	$criteria->add(FoundationPeer::USER_ID, $this->foundation->getId() , Criteria::EQUAL);
  	
  	$this->foundationObject = FoundationPeer::doSelectOne($criteria);
  	
  	$criteria = new Criteria();
	$criteria->add(FoundationImagePeer::FOUNDATION_ID, $this->foundationObject->getId(), Criteria::EQUAL);
	$this->images = FoundationImagePeer::doSelect($criteria);
  }
  
  public function executeVolunteer(sfWebRequest $request) {
  	$this->volunteer = $this->getRoute()->getObject();
  	
  	$this->forward404Unless($this->volunteer);
  	
  	if($this->volunteer->getUserType()->getName() != "Wolontariusz")
  		$this->forward404();
  	
  	if($this->getUser()->isAuthenticated())
  	$this->isAuthenticated = true;
  	else $this->isAuthenticated = false;
  	
	if($this->getUser()->hasCredential("Admin"))
		$this->isAdmin = true;
	else $this->isAdmin = false; 		
  		
  	$criteria = new Criteria();
	$criteria->add(VolunteerPeer::USER_ID, $this->volunteer->getId() , Criteria::EQUAL);
	
	$this->volunteerObject = VolunteerPeer::doSelectOne($criteria);
  }
  
  public function executeSearch(sfWebRequest $request) {
  	$this->sex = $request->getParameter("sex", "no");
  	$this->education = $request->getParameter("education", "no");
  	$this->ageFrom = $request->getParameter("ageFrom", 0);
  	$this->ageTo = $request->getParameter("ageTo", 2013);
  	$this->profStatus = $request->getParameter("profStatus", "no");
  	
  	
  	if($this->getUser()->hasCredential("Admin"))
  	$this->isAdmin = true;
  	else $this->isAdmin = false;
  	
  	$this->args = '&sex='.$this->sex.
		  	'&education='.$this->education.
		  	'&ageFrom='.$this->ageFrom.
		  	'&ageTo='.$this->ageTo.
		  	'&profStatus='.$this->profStatus;
  	
  	$criteria = new Criteria();
  	
  	if(is_numeric($this->sex))
  		$criteria->add(VolunteerPeer::IS_MALE, $this->sex, Criteria::EQUAL);
  		
  	if(is_numeric($this->education))
  		$criteria->add(VolunteerPeer::EDUCATION, $this->education, Criteria::EQUAL);
  	
  	$criteria->add(VolunteerPeer::AGE, $this->ageFrom, Criteria::GREATER_EQUAL);
  	
  	$criteria->add(VolunteerPeer::AGE, $this->ageTo, Criteria::LESS_EQUAL);
  	
  	if(is_numeric($this->profStatus))
  		$criteria->add(VolunteerPeer::PROF_STATUS, $this->profStatus, Criteria::EQUAL);
  
  	$this->pager = new sfPropelPager('Volunteer', 20);
	$this->pager->setCriteria($criteria);
	$this->pager->setPage($request->getParameter('page', 1));
	$this->pager->init();	
  }
  
  public function executeMessageSent(sfWebRequest $request)
  {
  	if($request->hasParameter("userid") && $request->hasParameter("foundationid")) {
  		$criteria = new Criteria();
  		$criteria->add(UserPeer::ID, $request->getPostParameter("userid"), Criteria::EQUAL);
  		$this->sender = UserPeer::doSelectOne($criteria);
  		
  		$criteria = new Criteria();
  		$criteria->add(UserPeer::ID, $request->getPostParameter("foundationid"), Criteria::EQUAL);
  		$this->receiver = UserPeer::doSelectOne($criteria);
  		
  		userEmailHelper::sendMessage($this->sender, $this->receiver, $request->hasParameter("content"));
  			
  	} else $this->forward404();
  }
  
public function executeBecomeVolunteer(sfWebRequest $request)
  {
  	$this->form = new JoinUsForm($this);
  	$this->activity =$request->getPostParameter("activity");
  
  	if($request->isMethod('post') && !$this->activity)
  	{
  		$this->form->bind($request->getPostParameters(), array());
  		 
  		if ($this->form->isValid())
  		{
			$this->forward('meeting','scheduleMeeting');
  		}
  		
  		$this->activity = $request->getPostParameter("act");
  	}
  }
  
  
public function executeBecomeFoundation(sfWebRequest $request)
{
	$this->form = new FoundationForm();
	$this->form->setPath('');
	
	$this->categories = array(	
		"Dane ogólne:", 
		"Lokalizacja:",
		"Obszary działalności:",
		"Regulamin:"
	);
	
	$this->fields = array(
		array("name", "email", "phone", "www", "content", "logo"),
		array("district_id", "address"),
		array("area"),
		array("rules")
	);
	
	if($request->isMethod('post'))
	{
		$this->form->bind($request->getPostParameters(), $request->getFiles());
		
		if ($this->form->isValid())
		{
			// obejmij transakcją tworzenie konta i organizacji
			$dbConn = Propel::getConnection(UserPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
			$dbConn->beginTransaction();
			
			try
			{
				// załóż konto użytkownika
				$password = formHelper::generateRandomString(rand(6,12), 7);
				$userObject = new User();
				$userObject->setCategoryId(4);
				$userObject->setEmail($this->form->getValue('email'));
				$userObject->setName($this->form->getValue('name'));
				$userObject->save(null, false, $password); // nie wysyłaj maila (false)

				// utwórz organizację
				$foundationObject = new Foundation();
				$foundationObject->setUserId($userObject->getId());
				$foundationObject->setPhone($this->form->getValue('phone'));
				$foundationObject->setWww($this->form->getValue('www'));
				$foundationObject->setContent($this->form->getValue('content'));
				$foundationObject->setLogo($this->form->getValue('logo')->save());
				$foundationObject->setDistrictId($this->form->getValue('district_id'));
				$foundationObject->setAddress($this->form->getValue('address'));
				$foundationObject->setLongitude($this->form->getValue('longitude'));
				$foundationObject->setLatitude($this->form->getValue('latitude'));
				formHelper::setDefaultsArray($this->form, array('area'), $foundationObject);
				$foundationObject->setActive(false); // organizacja nieaktywna do czasu aktywowania przez admina
				$foundationObject->save();

				$dbConn->commit();
				
				// wyślij email do użytkownia i admina
				UserPeer::sendBecomeOrganization(
						$this->form->getValue('name'),
						$this->form->getValue('email'),
						'<a href="http://wolontariatgdansk.pl/login?login-email=' . $this->form->getValue('email') . '&login-password=' . $password . '&urlF=/user/editFoundation">kliknij tutaj</a>'
				);
				
				$this->getUser()->setFlash('ok', 'Dziękujemy za zgłoszenie organizacji. Po weryfikacji danych otrzymasz email z dostępem do konta.' , false);
				// wyczyść formularz
				$this->form = new FoundationForm();
				$this->form->setPath('');
			}
			catch (Exception $e)
			{
				$dbConn->rollBack();
				throw $e;
			}
			
		}
	}

}


public function executeEditFoundation(sfWebRequest $request)
{
	$this->form = new FoundationForm();
	
	// wyłącz walidację dla pól, które są używane przy dodawaniu organizacji a nie są przy edycji
	$validatorSchema = $this->form->getValidatorSchema();
	$validatorSchema['email']->setOption('required', false);
	$validatorSchema['logo']->setOption('required', false);
	$validatorSchema['rules']->setOption('required', false);
	
	$userId = $request->getParameter('id');
	// admin wszedł w edycję organizacji
	if ($this->getUser()->hasCredential("Admin") && is_numeric($userId)) {
		// pobierz dane organizacji i konta na podstawie id z url-a
		$criteria = new Criteria();
		$criteria->add(FoundationPeer::USER_ID, $userId, Criteria::EQUAL);
		$foundationObject = FoundationPeer::doSelectOne($criteria);
		$criteria = new Criteria();
		$criteria->add(UserPeer::ID, $userId, Criteria::EQUAL);
		$userObject = UserPeer::doSelectOne($criteria);
		$this->userId = $userId; // po tym parametrze rozpoznam w template że to admin edytuje
	// użytkownik edytuje swój profil
	} else {
		$foundationObject = $this->getUser()->getFoundationObject();
		$userObject = $this->getUser()->getUserObject();
	}
	
	$this->categories = array(	
		"Dane ogólne:", 
		"Lokalizacja:",
		"Obszary działalności:"
	);
	
	$this->fields = array(
		array("name", "phone", "www", "content", "logo"),
		array("district_id", "address"),
		array("area")
	);
	
	// czy organizacja aktywowana przez admina
	$this->active = $foundationObject->getActive();
	
	if($request->isMethod('post'))
	{
		$this->form->bind($request->getPostParameters(), $request->getFiles());

		if ($this->form->isValid())
		{
			// obejmij transakcją aktualizaję konta i organizacji
			$dbConn = Propel::getConnection(UserPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
			$dbConn->beginTransaction();
			
			try
			{
				// aktualizuj organizację
				$foundationObject->setPhone($this->form->getValue('phone'));
				$foundationObject->setWww($this->form->getValue('www'));
				$foundationObject->setContent($this->form->getValue('content'));
				
				if ($this->form->getValue('logo') != null) {
					$oldLogoFile = sfConfig::get('app_foundation_logo_path') . $foundationObject->getLogo();
					if (file_exists($oldLogoFile)) {
						unlink ($oldLogoFile);
					}
					$foundationObject->setLogo($this->form->getValue('logo')->save());
				}
				
				$foundationObject->setDistrictId($this->form->getValue('district_id'));
				$foundationObject->setAddress($this->form->getValue('address'));
				$foundationObject->setLongitude($this->form->getValue('longitude'));
				$foundationObject->setLatitude($this->form->getValue('latitude'));
				formHelper::setDefaultsArray($this->form, array('area'), $foundationObject);
				$foundationObject->setActive(true);
				$foundationObject->save();
				
				// aktualizuj nazwę konta użytkownika
				$userObject->setName($this->form->getValue('name'));
				$userObject->setFirstLogin(true);
				// organizacja aktywowana - wygeneruj nowe hasło, które zostanie wysłane do użytkownika
				if (!$this->active) {
					$password = formHelper::generateRandomString(rand(6,12), 7);
					$userObject->setPassword(md5($password));
				}
				$userObject->save();

				$dbConn->commit();
				
				// organizacja aktywna
				if ($this->active) {
					$this->getUser()->setFlash('ok', 'Dane zapisano poprawnie' , false);
				}
				// organizacja nieaktywna - aktywowana przez admina
				else {
					// wyślij maila do użytkownika z nowym hasłem
					UserPeer::sendActiveOrganization($userObject, $password);
					$this->active = true;
					$this->getUser()->setFlash('ok', 'Dane zapisano poprawnie. Aktywowano organizację i wysłano do użytkownika email z dostępem do konta.' , false);
				}
			}
			catch (Exception $e)
			{
				$dbConn->rollBack();
				throw $e;
			}
			
		}
	}
	else {
		$this->form->setDefault("name", $userObject->getName());
		
		$this->form->setDefault('phone', $foundationObject->getPhone());
		$this->form->setDefault('www', $foundationObject->getWww());
		$this->form->setDefault('content', $foundationObject->getContent());
		$this->form->setDefault('logo', $foundationObject->getLogo());
		$this->form->setDefault('district_id', $foundationObject->getDistrictId());
		$this->form->setDefault('address', $foundationObject->getAddress());
		$this->form->setDefault('longitude', $foundationObject->getLongitude());
		$this->form->setDefault('latitude', $foundationObject->getLatitude());
		formHelper::getDefaultsArray($this->form, array('area'), $foundationObject);
	}
	
	$this->form->setPath($foundationObject->getLogo());
	
	
	
	/*
  	   $foundationObject = $this->getUser()->getFoundationObject();
	   $this->form = new FoundationForm();
	  
	   $normalFields = array("address", "longitude", "latitude", "content", 
	   	"contact_person", "phone");
	   
	   if($request->isMethod('post'))
		{
		  $this->form->bind($request->getPostParameters(), $request->getFiles());
		  
		  if ($this->form->isValid())
		  {
		  	 if($this->form->getValue('logo') != null) {
			  	 $temp = sfConfig::get('app_foundation_logo_path').$foundationObject->getLogo();
			  	 if(file_exists($temp))
			  	 		unlink ($temp);
			  	 $foundationObject->setLogo($this->form->getValue('logo')->save());
		  	 }
		  	 
		  	
		  	 
		  	 formHelper::setDefaults($this->form, $normalFields, $foundationObject);
		  	 
		  	 $foundationObject->save();
		  	 
		  	 $obj = $this->getUser()->getUserObject();
		  	 $obj->setName($this->form->getValue('name'));
		  	 $obj->setFirstLogin(true);
		  	 $obj->save();
		  	
		  	if($this->form->getValue('newImage') != null) {
			  	$foundationImage = new FoundationImage();
			  	$foundationImage->setImage($this->form->getValue('newImage')->save());
			  	$foundationImage->setFoundation($foundationObject);
			  	$foundationImage->save();
		  	 }
		  	 
		  	if($this->form->getValue('deleteImage') != null) {
		  		$criteria = new Criteria();
				$criteria->add(FoundationImagePeer::ID, $this->form->getValue('deleteImage'), Criteria::EQUAL);
				$img = FoundationImagePeer::doSelectOne($criteria);
				
				if($img != null && $img->getFoundationId() == $foundationObject->getId()) $img->delete();
		  	 }
		  	 
		     $this->getUser()->setFlash('ok', 'Dane zapisano poprawnie' , false);
		  } 
		} else  {
			$this->form->setDefault("logo", $foundationObject->getLogo());
			
			formHelper::getDefaults($this->form, $normalFields, $foundationObject);
			
			$obj = $this->getUser()->getUserObject();
			$this->form->setDefault("name", $obj->getName());
		}
		$this->form->setPath( $foundationObject->getLogo() );
		
			
		$this->fields = array(
			array("name", "phone",	 "contact_person"),
			array( "address"),
			array("logo", "content"),
			array("newImage"),
			array("rules"),
		);
		
		$this->categories = array(	
						"Dane ogólne:", 
						"Lokalizacja:", 
						"Informacje dodatkowe:", 
						"Galeria (max ".sfConfig::get('app_foundation_max_images')."):",
						"Regulamin"
					);
		
		$criteria = new Criteria();
		$criteria->add(FoundationImagePeer::FOUNDATION_ID, $foundationObject->getId(), Criteria::EQUAL);
		$this->images = FoundationImagePeer::doSelect($criteria);
		
		if( count($this->images) >= sfConfig::get('app_foundation_max_images'))
			$this->fields[3] = array();
	 
	 */
}
  
  
  
  
  public function executeBecomeSent(sfWebRequest $request)
  {
  	
  }
  
  
  public function executeBecomeSent2(sfWebRequest $request)
  {
   
  }
  public function executeFilter(sfWebRequest $request)
  {
  	$this->setPage(1);
  	
  	
    if ($request->hasParameter('_reset'))
    {
      $this->setFilters($this->configuration->getFilterDefaults());

      $this->redirect('@user');
    }

    $this->filters = $this->configuration->getFilterForm($this->getFilters());

    $this->filters->bind($request->getParameter($this->filters->getName()));
    if ($this->filters->isValid())
    {
      $this->setFilters($this->filters->getValues());
     
      $this->redirect('@user');
    }
    
    $this->pager = $this->getPager();
    $this->sort = $this->getSort();

    
  	
    
    $this->setTemplate('index');
  }
 
  public function executeIndex(sfWebRequest $request)
  {
  	// sorting
  	if ($request->getParameter('sort') && $this->isValidSortColumn($request->getParameter('sort')))
  	{
  		$this->setSort(array($request->getParameter('sort'), $request->getParameter('sort_type')));
  	}
  
  	// pager
  	if ($request->getParameter('page'))
  	{
  		$this->setPage($request->getParameter('page'));
  	}
  	
  	$this->ids =  $this->getUser()->getVolunteerIds();
  	
	if(isset($_COOKIE['groupsToDelete'])) {
  		foreach(explode(":", $_COOKIE['groupsToDelete']) as $del ) {
  			$this->ids = array_diff($this->ids, array( $del ));
  		} 	
	}
	
	if(isset($_COOKIE['groupsToAdd'])) {
		foreach(explode(":", $_COOKIE['groupsToAdd']) as $add ){
		  	if(!in_array($add, $this->ids)) {
		  		array_push($this->ids, $add);
		  	}
	  	}
	}
	
  	if (isset($_GET['groups']))
  	{
	  	      	
	  	foreach(UserPeer::doSelect($this->buildCriteria()) as $usr ) {
		  	if(!in_array($usr->getPrimaryKey(), $this->ids)) {
		  		array_push($this->ids, $usr->getPrimaryKey());
		  	}
	  	}
  	}
  	
  	$this->getUser()->setVolunteerIds($this->ids);
  	$this->helper->ids = $this->ids;
  	$this->pager = $this->getPager();
  	$this->sort = $this->getSort();
  }
  
  
}
