<div class="container">
	<?php include_partial('user/actionSuccessful', array()); ?>
</div>

<h1 id="news" class="color2 <?php if ($sf_user->hasFlash('ok')): ?>mt30<?php else: ?>mt0<?php endif; ?>"><span>ZGŁOŚ ORGANIZACJĘ</span></h1>

<div id="foundation-form-container" class="container">
	
	<?php if ($form->hasGlobalErrors() || $form->hasErrors()): ?>
		<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>Formularz zawiera błędy. Prosimy o poprawienie.</div>
	<?php endif; ?>
	
	
	<?php $content = Content::findContent("Dołącz do nas - wolontariusz"); ?>
	<h2 class="color2"><?php echo htmlspecialchars_decode($content->getTitle()); ?></h2>
	<?php echo htmlspecialchars_decode($content->getContent()); ?>
	

	<?php
		use_stylesheets_for_form($form);
		use_javascripts_for_form($form);
		echo $form->renderFormTag('/user/becomeFoundation/');
		echo $form->renderHiddenFields();
	?>
	
	<?php if ($form->hasGlobalErrors()): ?>
		<?php foreach ($form->getGlobalErrors() as $name => $error): ?>
			<?php if ($name == 'Latitude' || $name == 'Longitude'): $addressSearchError = $error; ?>
			<?php else: ?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span><?php echo $name.': '.$error ?></div>
			<?php endif; ?>
		  <?php endforeach; ?>
	<?php endif; ?>

	

		<?php
		
			$i = 0;
			foreach ($categories as $cat): ?>
	
				<h2 class="color2 <?php if ($i > 0) echo 'mt50'; else echo 'mt0'; ?>"><?php echo $cat; ?></h2>
				
				<?php foreach ($fields[$i] as $field): ?>
				
					<?php
					// adres - nie klikięto 'szukaj'
					if ($form[$field]->getName() == 'address' && !$form[$field]->hasError() && $addressSearchError): ?>
						<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span><?php echo $addressSearchError ?></div>
					<?php else: ?>
						<?php echo $form[$field]->renderError(); ?>
					<?php endif; ?>
				
					<div class="form-group <?php if ($form[$field]->hasError() || ($form[$field]->getName() == 'address' && $addressSearchError) ) echo 'has-error' ?>">
						<?php
							echo $form[$field]->renderLabel(null, array('class' => 'color2'));
							
							// zdjęcie
							if ($form[$field]->getName() == 'photo') {
								echo $form[$field]->render();
							// jest błąd
							} elseif ($form[$field]->hasError() || ($form[$field]->getName() == 'address' && $addressSearchError) ) {
								echo $form[$field]->render(array('class' => 'form-control'));
							// nie ma błędu
							} else {
								echo $form[$field]->render(array('class' => 'form-control color2'));
							}
						?>
					</div>
				
				<?php 
				endforeach;
				
				$i++;
			endforeach;
		?>

		<input type="submit" value="ZGŁOŚ ORGANIZACJĘ" class="btn btn-default" />
	</form>

</div>