<h1 id="news" class="color1 mt0"><span>ZOSTAŃ WOLONTARIUSZEM</span></h1>

<div class="container">
	<?php $content = Content::findContent("Dołącz do nas - organizacja");  ?>
	<div class="itemTitle"><?php echo $content->getTitle(); ?></div>

	<div class="itemContent"><?php echo htmlspecialchars_decode($content->getContent()); ?>
	</div><div class="clear"></div>

	<?php use_stylesheets_for_form($form) ?>
	<?php use_javascripts_for_form($form) ?>

	<?php echo $form->renderFormTag('/user/becomeVolunteer/') ?>
	  <?php include_partial('user/actionSuccessful', array()); 

		echo $form->renderHiddenFields();
		echo $form->renderGlobalErrors();?>
	
	
		<?php foreach (array('name','email', 'phone') as $field): ?>
	
			<?php if ($form[$field]->hasError()): ?>
				<div class="alert alert-danger" role="alert">
					<span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span> <?php echo $form[$field]->getError()->getMessage(); ?>
				</div>
			<?php
					$class = 'has-error';
				else:
					$class = 'color1';
				endif;
			?>
	
			<div class="form-group <?php echo $class; ?>">
				<?php echo $form[$field]->render(array('class' => 'form-control ' . $class, 'placeholder' => $form->getWidgetSchema()->getLabel($field))); ?>
			</div>
	
		<?php endforeach; ?>
	
	
		<input type="hidden" value="<?php echo $activity; ?>" name="act" />
		<input type="submit" value="WYŚLIJ" class="btn btn-default" />
	</form>
</div>