<h1 id="news" class="color1 mt0"><span>ZMIANA HASŁA</span></h1>

<div class="container">
	<?php use_stylesheets_for_form($form) ?>
	<?php use_javascripts_for_form($form) ?>

	<?php echo $form->renderFormTag('/user/changePassword/') ?>
	  <?php include_partial('user/actionSuccessful', array()); 

		echo $form->renderHiddenFields();
		echo $form->renderGlobalErrors();?>
	
		<?php foreach (array('currentPassword','newPassword1', 'newPassword2') as $field): ?>
	
			<?php
				if ($form[$field]->hasError()) {
					$class = 'has-error';
					$errorList = null;
					// pojedynczy błąd (utwórz tablicę z tym błędem)
					if (count($form[$field]->getError()) == 1) {
						$errorList[] = $form[$field]->getError();
					// lista błędów
					} else {
						$errorList = $form[$field]->getError();
					}
					// wyświetl błędy
					foreach ($errorList as $error) {
						echo '<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span> ' . $error->getMessage() . '</div>';
					}
				} else {
					$class = 'color1';
				}
			?>
			
			<div class="form-group <?php echo $class; ?>">
				<?php echo $form[$field]->render(array('class' => 'form-control ' . $class, 'placeholder' => $form->getWidgetSchema()->getLabel($field))); ?>
			</div>
	
		<?php endforeach; ?>
				 
		<input type="submit" value="ZAPISZ" class="btn btn-default" />
	</form>
</div>