<div class="container">
	<?php include_partial('user/actionSuccessful', array()); ?>
</div>

<h1 id="news" class="color2 <?php if ($sf_user->hasFlash('ok')): ?>mt30<?php else: ?>mt0<?php endif; ?>"><span><?php if (!$active || $userId): ?>PROFIL ORGANIZACJI<?php else: ?>PROFIL TWOJEJ ORGANIZACJI<?php endif; ?></span></h1>

<div id="foundation-form-container" class="container mt0">
	
	<?php if ($form->hasGlobalErrors() || $form->hasErrors()): ?>
		<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>Formularz zawiera błędy. Prosimy o poprawienie.</div>
	<?php endif; ?>
	
	<?php if (!$active): ?>
		<p class="alert alert-warning"><span class="glyphicon glyphicon-alert" aria-hidden="true"></span> Edytujesz nieaktywną organizację. Zapisanie formularza spowoduje aktywację organizacji i wysłanie do użytkownika emaila z dostępem do konta.</p>
	<?php endif; ?>

	<?php use_stylesheets_for_form($form) ?>
	<?php use_javascripts_for_form($form) ?>

	<?php echo $form->renderFormTag('/user/editFoundation/'.$userId) ?>

		<?php
		echo $form->renderHiddenFields();
		echo $form->renderGlobalErrors();
		$ws = $form->getFormFieldSchema();
		
			$i = 0;
			foreach ($categories as $cat): ?>
	
				<h2 class="color2 <?php if ($i > 0) echo 'mt50'; else echo 'mt0'; ?>"><?php echo $cat; ?></h2>
				
				<?php foreach ($fields[$i] as $field): ?>
				
					<?php echo $form[$field]->renderError(); ?>
				
					<div class="form-group <?php if ($form[$field]->hasError()) echo 'has-error' ?>">
						<?php
							echo $form[$field]->renderLabel(null, array('class' => 'color2'));
							
							// zdjęcie
							if ($form[$field]->getName() == 'photo') {
								echo $form[$field]->render();
							// jest błąd
							} elseif ($form[$field]->hasError()) {
								echo $form[$field]->render(array('class' => 'form-control'));
							// nie ma błędu
							} else {
								echo $form[$field]->render(array('class' => 'form-control color2'));
							}
						?>
					</div>
				
				<?php 
				endforeach;
				
				$i++;
			endforeach;
		?>

		<input type="submit" value="<?php if (!$active): ?>ZAPISZ I AKTYWUJ<?php else: ?>ZAPISZ<?php endif; ?>" class="btn btn-default" />
	</form>

</div>