<div class="container">

	<div class="itemTitle">			Profil organizacji: <?php echo $foundation->getName(); ?></div>

	<?php
	$path = sfConfig::get('app_foundation_logo_path').$foundationObject->getLogo(); 
	if(is_file($path)): ?>
	<a href="<?php echo sfConfig::get('app_sever_name').$path; ?>" class="lightbox">
	<img class="kiwiLogo" src="<?php echo sfConfig::get('app_sever_name').$path; ?>"/>
	</a>
	<? endif; ?>
	<div class="itemBlack">Informacje ogólne</div>
	<div class="kiwiFormField">
		<span class="kiwiLabel">Nazwa:</span> 
		<span class="kiwiValue"><?php echo $foundation->getName(); ?></span>
	</div>

	<?php if($isAdmin): ?>

	<div class="kiwiFormField odd">
		<span class="kiwiLabel">Telefon:</span> 
		<span class="kiwiValue"><?php echo $foundationObject->getPhone(); ?></span>
	</div>
	<div class="kiwiFormField">
		<span class="kiwiLabel">E-mail:</span> 
		<span class="kiwiValue"><a  class='kiwiValue' href="mailto:<?php echo $foundation->getEmail(); ?>"><?php echo $foundation->getEmail(); ?></a></span>
	</div>
	<?php endif; ?>
	<div class="kiwiFormField odd">
		<span class="kiwiLabel">Osoba kontaktowa:</span> 
		<span class="kiwiValue"><?php echo $foundationObject->getContactPerson(); ?></span>
	</div>
	<div class="kiwiFormField">
		<span class="kiwiLabel">Sektor:</span> 
		<span class="kiwiValue"><?php echo $foundationObject->getSector()->getName(); ?></span>
	</div>
	<div class="itemBlack">Lokalizacja:</div>
	<?php if($foundationObject->getAddress() != ""): ?>
	<div class="kiwiFormField">
		<span class="kiwiLabel">Adres:</span> 
		<span class="kiwiValue"><?php echo $foundationObject->getAddress(); ?></span>
	</div>
	<? endif; ?>
	<?php if($foundationObject->getLatitude() != ""): ?>

	<div class="kiwiFormField">
		<div class="kiwiGoogleMaps">
			<div id="latitude"><?php echo $foundationObject->getLatitude(); ?></div>
			<div id="longitude"><?php echo $foundationObject->getLongitude(); ?></div>
		</div> 
	</div> 
	<? endif; ?>


	<?php if($foundationObject->getContent() != ""): ?>

	<div class="itemBlack">O organizacji</div>
	<div class="kiwiFormField">
		<?php echo htmlspecialchars_decode($foundationObject->getContent()); ?>
	</div>
	<?php endif; ?>

	<?php if(count($images) > 0): ?>
	<div class="itemBlack">Galeria zdjęć</div>

	<table class="kiwiGallery">
	 <?php
			$i = 0; 
			$imagesPerRow = 3;
			foreach ($images as $image): 
				if($i % $imagesPerRow == 0)	echo "<tr>";
			?>
				<td class="kiwiGallery">
					<a href="/<?php echo sfConfig::get('app_foundation_gallery_path').$image->getImage() ?>" class="lightbox">
					<img class="kiwiGallery" src="/<?php echo sfConfig::get('app_foundation_gallery_path').$image->getImage() ?>" />
					</a>
				</td>
	  <?php
		$i++;
		if($i % $imagesPerRow == 0)	echo "</tr>";
		endforeach;
		if($i % $imagesPerRow != 0)	echo "</tr>";
	 ?>
	</table>
	<? endif; 
	$criteria = new Criteria();
	$criteria->addDescendingOrderByColumn(ActivityPeer::CREATED_AT);

	if($isAdmin != true) $criteria->setLimit(sfConfig::get('app_activity_limit'));

	if(count($foundation->getActivitys($criteria)) > 0):?>
	<div class="itemBlack">Ostatnio dodane oferty: </div>
	<div class="listItem">
		<table class="results">
			<?php include_partial('activity/activity_list_header', array('isAuthenticated' => $isAuthenticated, "isAdmin" => false)) ?>
			<tbody>
				<?php

					$isOdd = false;
					foreach ($foundation->getActivitys($criteria) as  $item) {
						include_partial('activity/activity_list_row', array('isAuthenticated' => $isAuthenticated, "isOdd" => $isOdd, "item" => $item, "isAdmin" => false));
					$isOdd = !$isOdd;
				} ?>
			</tbody>
		</table>
	</div>
	<?php 
	endif;
	if($user != false): ?>
	<div class="questionBox">
		<div class="questionBoxLogo"></div>
		<div class="questionBox2">
			<form method="post" action="/user/messageSent" id="msg">
				<div class="questionBoxButton" onclick="$('form#msg').submit()"></div>
				<textarea lang="no" name="content" class="questionBox italic" style="width: 580px">Treść wiadomości</textarea>
				<input type="hidden" name="userid" value="<?php echo $user->getId() ?>"/>
				<input type="hidden" name="foundationid" value="<?php echo $foundation->getId() ?>"/>
			</form>
			<div style="clear:both"></div>
		</div>
		<div style="clear:both"></div>
	</div>


	<?php endif; ?>

</div>