<?php
class EmailHelper {
	
	public static $offerEmail = "oferty@wolontariatgdansk.pl"; // na ten adres trafiają maile ze strony
	public static $kiwiEmail = "oferty@wolontariatgdansk.pl"; // ten adres wyświetla się w polu 'od' gdy użytkownik dostaje maila
	public static $articleEmail = "gdansk@wolontariat.org.pl";
	public static $kiwiAlias = "Wolontariat Gdańsk";
		
	
	

	public static function replaceString($input, array $variables) {
		foreach(array_keys($variables) as $key) {
			$input = str_ireplace("%%".$key."%%", $variables[$key], $input);
		}
		return $input;
	} 
	
	public static function createLink($address, $label) {
		return "<a href='http://www.wolontariatgdansk.pl".$address."'>".$label."</a>";
	}
	
	public static function createEmail($e) {
	return "<a href='mailto:$e'>$e</a>";
		}
	
	public static function sendMessage($from, $fromLabel, array $to, $cont, $variables, $endtekst = '') {

		if (!$from || !reset($to)) {
			return false;
		}
		
		$mailer = sfContext::getInstance()->getMailer();
		$content = Content::findContent($cont);
		if($content)$html = EmailHelper::replaceString(htmlspecialchars_decode($content->getContent().$endtekst), $variables);
		else EmailHelper::replaceString(htmlspecialchars_decode($endtekst), $variables);
		foreach($to as $email => $label) {
			$message = $mailer->compose();
			if($content)$message->setSubject($content->getTitle());
			else $message->setSubject($cont);
			$message->setTo($email, $label);
			$message->setFrom(array($from => $fromLabel));
			$message->setBody($html, 'text/html');
			if (!$mailer->send($message)) {
				return false;
			}

		}
		
		return true;
	}
	
	public static function sendMessageToUserGroups($userGroups, $title, $content) {
		foreach ($userGroups as $ug) {
			$cont = $content."<BR><BR>".EmailHelper::createLink("/group/unsubscribe?token=".$ug->getUser()->getToken(), "Kliknij jeśli nie chcesz otrzymywać więcej wiadomości");
			EmailHelper::sendMessage(EmailHelper::$kiwiEmail,
									EmailHelper::$kiwiAlias,
									array($ug->getUser()->getEmail() => $ug->getUser()->getName() ),
									$title, 
									array(),
									$cont
			);
		}
	}
}
?>