<?php


/**
 * news actions.
 *
 * @package    Kiwi
 * @subpackage news
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class adminActions extends sfActions
{
  public function executeDeleteFiles(sfWebRequest $request) {
  	
  	$this->res = array();
  	$baseAddress = dirname(__FILE__).'/../../../../../web/';
  	$filesAddress = dirname(__FILE__).'/../../../../../web/files/';
  	
  	$t = array(
  		array(sfConfig::get('app_news_images_path'), "NewsPeer", NewsPeer::IMAGE),
  		array(sfConfig::get('app_news_images_path')."thumb/", "NewsPeer", NewsPeer::IMAGE),
  		array(sfConfig::get('app_news_images_path')."bw/", "NewsPeer", NewsPeer::IMAGE),
  		
  		array(sfConfig::get('app_crew_images_path'), "CrewPeer", CrewPeer::PHOTO),
  		array(sfConfig::get('app_crew_images_path')."thumb/", "CrewPeer", CrewPeer::PHOTO),
  		
  		array(sfConfig::get('app_event_images_path'), "EventPeer", EventPeer::IMAGE),
  		array(sfConfig::get('app_event_images_path')."thumb/", "EventPeer", EventPeer::IMAGE),
  		
  		array(sfConfig::get('app_foundation_logo_path'), "FoundationPeer", FoundationPeer::LOGO),
  		array(sfConfig::get('app_foundation_logo_path')."thumb/", "FoundationPeer", FoundationPeer::LOGO),
  		
  		array(sfConfig::get('app_foundation_gallery_path'), FoundationImagePeer, FoundationImagePeer::IMAGE),
  		array(sfConfig::get('app_foundation_gallery_path')."thumb/", FoundationImagePeer, FoundationImagePeer::IMAGE),
  		
  		array(sfConfig::get('app_ngo_logo_path'), "NgoPeer", NgoPeer::LOGO),
  		array(sfConfig::get('app_ngo_logo_path')."thumb/", "NgoPeer", NgoPeer::LOGO),
  		
  		array(sfConfig::get('app_partner_logo_path'), "PartnerPeer", PartnerPeer::LOGO),
  		array(sfConfig::get('app_partner_logo_path')."thumb/", "PartnerPeer", PartnerPeer::LOGO),
  		
  		array(sfConfig::get('app_patronage_images_path'), "PatronagePeer", PatronagePeer::IMAGE),
  		array(sfConfig::get('app_patronage_images_path')."thumb/", "PatronagePeer", PatronagePeer::IMAGE),
  		
  		array(sfConfig::get('app_profile_images_path'), "ProfilePeer", ProfilePeer::PHOTO),
  		array(sfConfig::get('app_profile_images_path')."thumb/", "ProfilePeer", ProfilePeer::PHOTO),
  		
  		array(sfConfig::get('app_volunteer_images_path'), "VolunteerPeer", VolunteerPeer::PHOTO),
  		array(sfConfig::get('app_volunteer_images_path')."thumb/", "VolunteerPeer", VolunteerPeer::PHOTO)
  	);
  	
  	
  	for($j = 0; $j < sizeof($t); $j++) {
  		
  		$path = $t[$j][0];
	  	$peer = $t[$j][1];
	  	$field = $t[$j][2];
	  	
	  	$this->res[$j] = array($path, 0, "");
	  	
	  	$bwDir = opendir($path);
	  	while($entryName = readdir($bwDir)) {
	  		if(is_file($path.$entryName)) {
	  			$cri = new Criteria();
	  			$cri->add($field, $entryName, Criteria::LIKE);
	  			
	  			$num =call_user_func($peer."::doCount", $cri, false);
	  			
	  			if($num == 0) {
	  				$this->res[$j][1]++;
	  				unlink($path.$entryName);
	  			}
	  				
	  		}
	  	}
	  		
	  	closedir($bwDir);
  	}
  	
  }
  
  public function executeMessageSent(sfWebRequest $request)
  {
  	if($request->hasParameter("id")) {
  		$criteria = new Criteria();
  		$criteria->add(GroupCategoryPeer::ID, $request->getPostParameter("id"), Criteria::EQUAL);
  		$this->group = GroupCategoryPeer::doSelectOne($criteria);
  		if(!$this->group || $this->group->getUserId() != $this->getUser()->getUserObject()->getId())  $this->forward404();
  			
  	} else $this->forward404();
  }
}
