<?php
	
	
	$criteria = new Criteria();
	$criteria->add(FoundationPeer::SECTOR_ID, $sector, Criteria::EQUAL);
	
	$pager = new sfPropelPager('Foundation', sfConfig::get('app_news_per_page'));
	$pager->setCriteria($criteria);
	$pager->setPage( sfContext::getInstance()->getRequest()->getParameter('page', 1));
	$pager->init();
	
	$link = '/'.sfContext::getInstance()->getModuleName()."/".sfContext::getInstance()->getActionName();
	
	$arguments = "&sector=".$sector;
?>
<?php foreach ($pager->getResults() as  $item): ?>
<div class="listItem">
	<div class="line"></div>
	<?php 
	$tmp = $item->getUser();
	$f = $tmp->getFoundations();
	
	if($f[0]->getThumbPath() ): ?>
		<img class="image" src="/<?php echo $f[0]->getThumbPath(); ?>" />
	<?php else: ?>
		<img class="image" src="/images/noPhotoAvailable.jpg" />
	<? endif; ?>
	<div class="name">
		<a href="/user/foundation/<?php echo $item->getUser()->getId(); ?>"><?php echo $item->getUser()->getName() ?></a>
	</div>
	<div class="clear"></div>
</div>
<?php endforeach; ?>


<?php include_partial('index/pagination', array('link' => $link, 'pager' => $pager, 'arguments' => $arguments)); ?>
