<?php

require_once dirname(__FILE__).'/../lib/eventNewGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/eventNewGeneratorHelper.class.php';

/**
 * eventNew actions.
 *
 * @package    Kiwi
 * @subpackage eventNew
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class eventNewActions extends autoEventNewActions
{
public function executeNew(sfWebRequest $request)
  {
  	 $this->Wiadomosc = new Event();
  	 $this->Wiadomosc->setIsCalendar(false);
  	 $this->Wiadomosc->setStartsAt( time() );
  	 $this->Wiadomosc->setFinishesAt( time() );
  	 $this->Wiadomosc->setCreatedAt( time() );
  	 
  	 $this->Wiadomosc->setIsPublished(false);
  	 
  	 $this->user = $this->getUser();
     $this->form = $this->configuration->getForm($this->Wiadomosc);
  }
	
	public function executeCreate(sfWebRequest $request)
	{
		$this->form = $this->configuration->getForm();
		$this->Wiadomosc = $this->form->getObject();
	
		$this->processForm($request, $this->form);
	
		$this->setTemplate('new');
	}
	
	protected function processForm(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{
			$notice = $form->getObject()->isNew() ? 'The item was created successfully.' : 'The item was updated successfully.';
	
			$Wiadomosc = $form->save();
	
			$this->dispatcher->notify(new sfEvent($this, 'admin.save_object', array('object' => $Wiadomosc)));
	
			
				$this->getUser()->setFlash('notice', $notice);
			
			EmailHelper::sendMessage(EmailHelper::$kiwiEmail,
									EmailHelper::$kiwiAlias,
									array(EmailHelper::$kiwiEmail => EmailHelper::$kiwiAlias),
													"Utworzono nową wiadomość na kiwi",
									array(		),
											"<a href='http://kiwi/org.pl/event/".$Wiadomosc->getId()."/edit'>Wiadomość id ".$Wiadomosc->getId()."</a>"
			);
			
			
			$this->redirect('/eventNew/newEventSent');
			
		}
		else
		{
			$this->getUser()->setFlash('error', 'The item has not been saved due to some errors.', false);
		}
	}
	
	public function executeNewEventSent(sfWebRequest $request)
	{
	}
}
