<?php
class ChooseGroupForm extends sfForm
{
	
	function __construct(sfActions $action) {
		$this->action = $action;
       parent::__construct();
   }

  public function configure()
  {
  	$criteria = new Criteria();
  	$criteria->add(GroupCategoryPeer::IS_GENERIC, false, Criteria::EQUAL);
  	
    $this->setWidgets(array(
      'groupId'   => new sfWidgetFormPropelChoice(array('model' => 'GroupCategory', 'add_empty' => false, 'criteria' => $criteria))
    ));
 
    
  
	$this->validatorSchema->setOption('allow_extra_fields', true);
    $this->validatorSchema->setOption('filter_extra_fields', false);
    
  }
}
?>