	<?php 
	$ctx = sfContext::getInstance();
	$ac = $ctx->getActionName();
	$mod =  $ctx->getModuleName();
	
	if($sf_user->getUserObject() != null)
		$usId = $sf_user->getUserObject()->getId();
	else $usId = 0;
	
	function generateMenu($cat,$sf_user) {
			$criteria = new Criteria();
			$criteria->add(MenuGroupPeer::CATEGORY, $cat, Criteria::EQUAL);
			$criteria->addAscendingOrderByColumn(MenuGroupPeer::POSITION);
			$menuGroups = MenuGroupPeer::doSelect($criteria);
			
			
			$inner = "";
			$found = false;
			
			
			
			
			for($j = 0; $j < count($menuGroups); $j++) {
			$mg = $menuGroups[$j];
			$found2 = false;
				
				$crit = new Criteria();
				$crit->addAscendingOrderByColumn(MenuItemPeer::POSITION);
				
				if(!$sf_user->isAuthenticated()) 	{
					$criteria->add(MenuItemPeer::IS_NOT_LOGGED, true, Criteria::EQUAL);
					if($mg->getName() == "Admin" || $mg->getName() == "Użytkownik") continue; 
				}
				else  {
					if($sf_user->hasCredential("Admin"))	$criteria->add(MenuItemPeer::IS_ADMIN, true, Criteria::EQUAL);
					else {
						if($sf_user->hasCredential("Wolontariusz"))	$criteria->add(MenuItemPeer::IS_VOLUNTEER, true, Criteria::EQUAL);
						elseif($sf_user->hasCredential("Organizacja"))	$criteria->add(MenuItemPeer::IS_FOUNDATION, true, Criteria::EQUAL);
						if($mg->getName() == "Admin") continue;
					}
					
				}
				
				$mis = $mg->getMenuItems($crit);
				$sinner = "";
				for($i = 0; $i < count($mis); $i++) {
					
					
					if($mg->getName() != "Główna") $cl = "menuSubitem";
					else $cl = "submenu";
					
					$item = $mis[$i];
					
					$sinner = $sinner.'<div class="'.$cl.' ';
					if($i == 0 && $mg->getName() != "Główna") $sinner = $sinner.' first';
					if($i == count($mis) - 1 && $mg->getName() != "Główna") $sinner = $sinner.' last';
					$sinner = $sinner.'"><a href="'.$item->getLink().'" class="'.$cl.' ';
				
					if('/'.sfContext::getInstance()->getModuleName().'/'.sfContext::getInstance()->getActionName().'/' == $item->getLink()) {
						$sinner = $sinner.' menuSelected';
						$found = true;
						$found2 = true;
					}
					$sinner = $sinner.'">&gt;&nbsp;';
					$sinner = $sinner.$item->getName().'</a></div>';
				}
				
				if($mg->getName() != "Główna") {
					$inner = $inner.'<div class="submenu';
					if($j == 0) $inner = $inner.' firstS';	
					if($j == count($menuGroups) - 1) $inner = $inner.' lastS';
					$inner = $inner.'"><div class="submenuTitle">&gt;&nbsp;'.$mg->getName().'</div><div class="submenuCont';
					if($found2 == true) $inner = $inner." submenuOpen";
					$inner = $inner.'">'.$sinner.'</div></div>';
				} else {
					$inner = $inner.$sinner;
				}
					
				
			}
			
			
			
  			$xxx = '<div class="triangle" ';
  			if($found) 	$xxx = $xxx.' style="display: block;"';
			$xxx = $xxx.'></div><div class="menuSubitems';	
			if($found) 	$xxx = $xxx.' menuOpen';
			$xxx = $xxx.'">'.$inner.'</div>';	
			
			echo $xxx;
	}
?>
<div class="menuGroup">
	<div class="menuItem">
		<div class="menuTitle">Przydatne informacje</div>
		<?php generateMenu(1, $sf_user); ?>	
	</div>
</div>

		  					
<div class="menuGroup">
	<div class="menuItem">
		<div class="menuTitle">Projekty / Programy</div>
		<?php generateMenu(0, $sf_user); ?>
	</div>
	<div class="menuTab"></div>
</div>
		  				
<div class="menuGroup">
	<div class="menuItem">
		<div class="menuTitle"><a href="/ngo/contract">Porozumienie wolontariackie</a></div>
	</div>
  	<div class="menuTab"></div>
</div>
		  				
<div class="menuGroup">
  	<div class="menuItem">
  		<div class="menuTitle"><a href="/ngo/letterOfReference">Zaświadczenie wolontariackie</a></div>
  		
  	</div>
  	<div class="menuTab"></div>
</div>

  <div class="menuGroup">
  	<div class="menuItem">
  		<div class="menuTitle"><a href="/ngo/law">Prawo a wolontariat</a></div>
  			
		
  	</div>
  	<div class="menuTab"></div>
  </div>
  
    <div class="menuGroup">
  	<div class="menuTab"></div>
  </div>
  
  <div class="rent">
  	<a class="rent1" href="/rent/sprzet"></a>
  	<a class="rent2" href="/rent/pomieszczenia"></a>
  	<a class="rent3" href="/rent/szkoleniowcy"></a>
  </div>
  
    <div class="addArticle">
    	<a href="/eventNew/new"><img src="/images/addArticle.jpg" alt="Dodaj swój artykół" /></a>
  </div>
  