    <div class="container">

        <!-- KAFELKI ******************************** -->
        <div id="tailes-container" class="row">

            <!-- wolontariusze -->
            <div class="col-md-6 fs0 text-center">
                <!-- klawisz mobilny rozwiń/zwiń -->
                <button type="button" class="btn btn-primary mobile-tile color1" data-toggle="collapse" data-target="#collapseVolunteers" aria-expanded="false" aria-controls="collapseVolunteers">WOLONTARIUSZE &nbsp;<span class="glyphicon glyphicon-menu-down" aria-hidden="true"></span></button>
                <div class="collapse" id="collapseVolunteers">
                    <div class="tile color1">WOLONTARIUSZE</div>
                    <button type="button" class="btn btn-primary color1" onclick="document.location.href='/user/becomeVolunteer'">ZOSTAŃ
                        <br>WOLONTARIUSZEM</button>
                    <div class="clearfix"></div>
                    <button type="button" class="btn btn-primary color1" onclick="document.location.href='/activity/list'">ZNAJDŹ OFERTĘ</button>
                    <button type="button" class="btn btn-primary color1" onclick="document.location.href='/index/cooperation'">BAZA ORGANIZACJI<br>I INSTYTUCJI</button>
                </div>
            </div>

            <!-- organizacje -->
            <div class="col-md-6 fs0 text-center">
                <!-- klawisz mobilny rozwiń/zwiń -->
                <button type="button" class="btn btn-primary mobile-tile color2" data-toggle="collapse" data-target="#collapseOrganisations" aria-expanded="false" aria-controls="collapseOrganisations">ORGANIZACJE &nbsp;<span class="glyphicon glyphicon-menu-down" aria-hidden="true"></span></button>
                <div class="collapse" id="collapseOrganisations">
                    <div class="tile color2">ORGANIZACJE</div>
					<?php if($sf_user->hasCredential("Organizacja")): ?>
						<button type="button" class="btn btn-primary color2" onclick="document.location.href='/activityNew/new'">DODAJ<br>OFERTĘ</button>
					<?php else: ?>
						<button type="button" class="btn btn-primary color2" onclick="document.location.href='/user/becomeFoundation/'">ZGŁOŚ<br>ORGANIZACJĘ</button>
					<?php endif; ?>
                    <div class="clearfix"></div>
                    <button type="button" class="btn btn-primary color2" onclick="document.location.href='/ngo/contract'">POROZUMIENIE<br>WOLONTARIACKIE</button>
                    <button type="button" class="btn btn-primary color2" onclick="document.location.href='/ngo/letterOfReference'">ZAŚWIADCZENIE<br>WOLONTARIACKIE</button>
                </div>
            </div>

        </div>
        <!--/ kafelki -->

    </div>



    <!-- PROGRAMY - SLIDER ********************************** -->
	<a class="anchor" id="programs"></a>
    <h1 class="color1"><span>PROGRAMY</span></h1>
	
    <div class="container">
        <div id="programs-slider" class="events-slider">
            <?php foreach ($programs as $item): ?>
			
            <div>
                <img src="/<?php echo $item['firstEvent']->getThumbPath(); ?>" alt="">
                <span class="color1"><?php echo $item['program']->getName() ?></span>
                <a href="<?php echo url_for('program_details', $item['program']); ?>" class="more">Więcej ></a>
            </div>
			<?php endforeach; ?>
        </div>
        <div class="row text-center">
            <a href="<?php echo url_for('program_list'); ?>" class="btn btn-default mt30">ZOBACZ WSZYSTKIE</a>
        </div>
    </div>



    <!-- WIADOMOŚCI - SLIDER ********************************** -->
	<a class="anchor" id="news"></a>
    <h1 class="color2"><span>WIADOMOŚCI</span></h1>

    <div class="container">
        <div id="news-slider" class="events-slider">
			
			<?php foreach ($news as $item): ?>
			
            <div>
                <img src="/<?php echo $item->getThumbPath(); ?>" alt="">
                <span class="color2"><?php echo $item->getTitle() ?></span>
                <a href="<?php echo url_for('event_details', $item); ?>" class="more">Więcej ></a>
            </div>
			<?php endforeach; ?>
        </div>
        <div class="row text-center">
            <a href="<?php echo url_for('news_category'); ?>" class="btn btn-default mt30">ZOBACZ WSZYSTKIE</a>
        </div>
    </div>



    <!-- KALENDARZ ********************************** -->
	<a class="anchor" id="calendar"></a>
    <h1 class="color1"><span>KALENDARZ</span></h1>

    <div id="calendar-container" class="container">

        <!-- nawigacja do przewijania miesięcy-->
        <div class="custom-header clearfix">
            <nav>
                <span id="custom-prev" class="custom-prev"></span>
                <div class="calendar-month-container">
                    <span id="custom-month" class="custom-month"></span> <span id="custom-year" class="custom-year"></span>
                </div>
                <span id="custom-next" class="custom-next"></span>
            </nav>
        </div>

        <!-- kalendarz -->
        <div id="calendario" class="fc-calendar-container"></div>

    </div>
	
	<?php 
		// utwórz na potrzeby kalendarza tablicę asocjacyjną 'm-d-Y' => event
		$calendarEvents = array();
		
		foreach ($events as $event) {
			$startDate = $event->getStartsAt(null);
			$endDate = $event->getFinishesAt(null);
			do {
				$calendarEvents[$startDate->format("m-d-Y")][] = $event;
				$startDate->modify("+1 day");
			} while ($startDate <= $endDate);
		}
	?>

    <script type="text/javascript">
        var calendarEvents = {
			<?php
				// wypisz wydarzenia, które zostaną załadowane do kalendarza
				$output = '';
				foreach ($calendarEvents as $date => $events) {
					$output .= "'" . $date . "': '";
					foreach ($events as $event) {
						$output .= '<a href="/event/details/' . $event->getId() . '">' . $event->getTitle() . '</a>';
					}
					$output .= "',";
				}
				$output = rtrim($output, ',');
				echo $output;
			?>
        };
    </script>



    <!-- KONTAKT ********************************** -->
	<a class="anchor" id="contact"></a>
    <h1 class="color2"><span>KONTAKT</span></h1>

    <div class="container">

        <div id="contact-container" class="row">

            <!-- formularz kontaktowy -->
            <div class="col-md-5 text-center">
                <form method="post" action="/messages/msgSent">
                    <div class="form-group">
                        <input name="email" type="email" class="form-control color2" placeholder="Twój email" required="required">
                    </div>
                    <div class="form-group">
                        <textarea name="content" class="form-control color2" placeholder="Treść wiadomości" required="required"></textarea>
                    </div>
					<input type="hidden" name="destination" value="oferty@wolontariatgdansk.pl" />
                    <button type="submit" class="btn btn-default">WYŚLIJ WIADOMOŚĆ</button>
                </form>
            </div>

            <!-- dane kontaktowe -->
            <div class="col-md-7">
                <h2 class="color2 mt0">REGIONALNE CENTRUM WOLONTARIATU W GDAŃSKU</h2>
                <p>
                    plac Solidarności 1
                    <br> 80-863 Gdańsk
                    <br> budynek Europejskiego Centrum Solidarności
                    <br> III piętro, pokoje 3.34 3.35 3.36
                </p>
                <p>
                    <i class="fa fa-phone-square" aria-hidden="true"></i>&nbsp; 58 772 42 18/19
                    <br><i class="fa fa-envelope-square" aria-hidden="true"></i>&nbsp; <a href="mailto:gdansk@wolontariat.org.pl">gdansk@wolontariat.org.pl</a>
                    <br><i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp; 10:00 - 16:00
                </p>
                <a href="/kontakt/index" class="more">Więcej danych ></a>
            </div>

        </div>
    </div>



    <!-- PARTNERZY - SLIDER ********************************** -->
    <div class="container">
        <div id="partners-container" class="row">

            <div class="col-md-3 col-lg-3">
                <h1 class="simple color2">WSPIERAJĄ NAS:</h1>
            </div>

            <div class="col-md-9 col-lg-9">
                <div id="partners-slider" class="partners-slider">
                    <div>
                        <a href="http://www.gdansk.pl" target="_blank" title="Gdańsk"><img src="img/partner4.jpg" alt=""></a>
                    </div>
                </div>
            </div>

        </div>
    </div>