<?php

/**
 * news actions.
 *
 * @package    Kiwi
 * @subpackage news
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class loginActions extends sfActions
{
  
public function executeIndex(sfWebRequest $request)
  {
  	$user = $this->getUser();
  	$user->setAttribute("loginFailed", false);
		
		if($request->hasParameter('login-email')) {
	  				$login = $request->getParameter('login-email');
	  				$pass = md5($request->getParameter('login-password'));
	  				
	  				$criteria = new Criteria();
					$criteria->add(UserPeer::EMAIL, $login , Criteria::LIKE);
					$criteria->add(UserPeer::PASSWORD, $pass , Criteria::LIKE);
					$userResults = UserPeer::doSelect($criteria);
	  				
	  				if(count($userResults) > 0) {
						$userObj = $userResults[0];
						$user->setUserObject($userObj);
						
						$userType = $userObj->getUserType()->getName();
						
						$user->setAuthenticated(true);
	  					$user->addCredential($userType);
	  					if($userType == "SuperAdmin")
	  						$user->addCredential("Admin");
						
	  						
						$criteria = new Criteria();
						
						if($userType === 'Wolontariusz') {
							$criteria->add(VolunteerPeer::USER_ID, $userObj->getId() , Criteria::EQUAL);
							$userObj2Results = VolunteerPeer::doSelect($criteria);
							$user->setVolunteerObject($userObj2Results[0]);
							
							if($userObj->getFirstLogin() != true)
								$this->redirect("/user/editVolunteer");
							
						} elseif($userType === 'Organizacja'){
							$criteria->add(FoundationPeer::USER_ID, $userObj->getId() , Criteria::EQUAL);
							$userObj2Results = FoundationPeer::doSelect($criteria);
							if(count($userObj2Results) > 0)
								$user->setFoundationObject($userObj2Results[0]);

							//if($userObj->getFirstLogin() != true)
								//$this->redirect("/user/editFoundation");
						}
						
						
	  					
	  				} else $user->setAttribute("loginFailed", true);
	  			}
	  			if($request->hasParameter('logout')) {
	  				
						$user->setAttribute("UserObject", null);
						$user->clearCredentials();
	  					$user->setAuthenticated(false);
	  				}
	  		$this->redirect($request->getParameter('urlF'));
	  			
	}	
	
}



