<?php

require_once dirname(__FILE__).'/../lib/menuItemGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/menuItemGeneratorHelper.class.php';

/**
 * menuItem actions.
 *
 * @package    Kiwi
 * @subpackage menuItem
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class menuItemActions extends autoMenuItemActions
{
	public function executeNew(sfWebRequest $request)
	{
		$user = sfContext::getInstance()->getUser();
		if(isset($_GET['menuId']))	$user->setMenuId($_GET['menuId']);
		
		
		$connection = Propel::getConnection();
		$query = 'SELECT MAX(position) AS position FROM menu_item WHERE category_id='.$user->getMenuId();
		$statement = $connection->prepare($query);
		$statement->execute();
		$position = $statement->fetch();
		$position = $position['position'];
	
	
		$this->MenuItem = new MenuItem();
		$this->MenuItem->setPosition($position + 1);
		$this->MenuItem->setCategoryId($user->getMenuId());
		$this->form = $this->configuration->getForm($this->MenuItem);
	}
	
	public function executeUp(sfWebRequest $request)
	{
	
		$criteria = new Criteria();
		$criteria->add(MenuItemPeer::ID, $_GET['id'], Criteria::EQUAL);
	
		$MenuItem = MenuItemPeer::doSelectOne($criteria);
		if($MenuItem != null && $MenuItem->getPosition() > 1) {
			$criteria = new Criteria();
			$criteria->add(MenuItemPeer::POSITION, $MenuItem->getPosition() - 1, Criteria::EQUAL);
			$criteria->add(MenuItemPeer::CATEGORY_ID, $MenuItem->getCategoryId(), Criteria::EQUAL);
			$MenuItem2 = MenuItemPeer::doSelectOne($criteria);
			$MenuItem2->setPosition($MenuItem2->getPosition() + 1);
			$MenuItem2->save();
			$MenuItem->setPosition($MenuItem->getPosition() - 1);
			$MenuItem->save();
		}
		$this->redirect('/menuItem');
	}
	
	public function executeDown(sfWebRequest $request)
	{
	
		$criteria = new Criteria();
		$criteria->add(MenuItemPeer::ID, $_GET['id'], Criteria::EQUAL);
	
		$MenuItem = MenuItemPeer::doSelectOne($criteria);
		if($MenuItem != null) {
			$criteria = new Criteria();
			$criteria->add(MenuItemPeer::POSITION, $MenuItem->getPosition() + 1, Criteria::EQUAL);
			$criteria->add(MenuItemPeer::CATEGORY_ID, $MenuItem->getCategoryId(), Criteria::EQUAL);
			$MenuItem2 = MenuItemPeer::doSelectOne($criteria);
			if($MenuItem2 != null) {
				$MenuItem2->setPosition($MenuItem2->getPosition() - 1);
				$MenuItem2->save();
				$MenuItem->setPosition($MenuItem->getPosition() + 1);
				$MenuItem->save();
			}
		}
		$this->redirect('/menuItem');
	}
}
