<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <title>Porozumienie wolontariackie</title>
   <style>
   	<?php include "/css/forms.css"; ?>
   </style>
   <script src="/js/jquery.js"></script>
   <script >
   $(document).ready(function() {
		window.print();
		window.close();	
	});
	
   </script>
  </head>
  <body> 
<div class="formTitle">Porozumienie Wolontaricakie</div>

<div class="formParagraph">Zawarte w dniu <?php echo $signedDate; ?>
 w <?php echo $venue; ?> pomiędzy <?php echo $company; ?> z siedzibą w
 <?php echo $companyAddress; ?>, reprezentowaną
przez <?php echo $representative; ?> zwanym w dalszej części Korzystającym ,
a Panią/Panem <?php echo $volunteer; ?>, legitymujący się dokumentem 
<?php echo $idNumber; ?>, adres
zamieszkania: <?php echo $volunteerAddress; ?>, zwaną/ym w dalszej części
Wolontariuszką/em,</div>
<div class="formParagraph">Zgodnie z porozumieniem :</div>

<div class="formParagraph">1. Korzystający i Wolontariusz zawierają porozumienie o współpracy w zakresie
<?php echo $content; ?></div> 

<div class="formParagraph">2. Wolontariusz zobowiązuje się wykonać w ramach porozumienia następujące
świadczenia:
	<div id="duties" >
	<?php 
	if(isset($duty)) {
		$letter = 'a';
		for($i = 0; $i < count($duty) - 1; $i++) {
			echo  "<div><span>$letter)</span>&nbsp;<span class='long'>".$duty[$i]."</span></div>";	
			$letter++;
		}
	}
	?>
	
	</div>
</div>

<div class="formParagraph">3. Rozpoczęcie wykonania świadczeń strony ustalają na okres od 
	<?php echo $fromDate; ?> 
 do <?php echo $toDate; ?>
 </div>

<div class="formParagraph">4. Strony zgodnie ustalają, że porozumienie niniejsze obejmuje świadczenie o
charakterze wolontarystycznym, które ma charakter bezpłatny.</div>

<div class="formParagraph">5. Korzystający zobowiązuje się do zwrotu wolontariuszowi wydatków, które ten poczynił
w celu należytego wykonania świadczenia w tym koszty podróży służbowych i diet na
zasadach wynikających z odrębnych przepisów.
	<?php if (!isset($expense)): ?>
		<span class="appliesSelected">nie dotyczy</span>
	<?php endif; ?>
</div>

<div class="formParagraph">6. Zwrot wydatków o których mowa w pkt. 5 nastąpi w terminie 7 dni po otrzymaniu od
Wolontariusza stosownego wraz z dowodami poniesionych wydatków w następującym
zakresie: 
	<?php if (!isset($expense)): ?>
<span class="appliesSelected" id="formsExpensesNotApplies">Nie dotyczy</span>
	<?php else: ?>
	<div id="expenses">
	<?php 
		$letter = 'a';
		for($i = 0; $i < count($expense) - 1; $i++) {
			echo  "<div><span>$letter)</span>&nbsp;<span class='long'>".$expense[$i]."</span></div>";	
			$letter++;
		}
	?>
	</div>
	<?php endif; ?>
</div>

<div class="formParagraph">7. Dodatkowe postanowienia:
	<?php if (!isset($additionalAgreements) || strlen($additionalAgreements) == 0): ?>
		<span class="appliesSelected">nie dotyczy</span>
	<?php else: ?>
	<div class="formParagraph"><?php echo $additionalAgreements; ?></div>
	<?php endif; ?>
</div>

<div class="formParagraph">8. Korzystający poinformował wolontariusza o zasadach bezpiecznego i higienicznego
wykonywania świadczeń oraz takie warunki zapewnia.</div>

<div class="formParagraph">9. Wolontariuszowi przysługuje zaopatrzenie z tytułu wypadku przy wykonywaniu
świadczenia wymienionych w pkt 2 Porozumienia, na zasadach wynikających z
odrębnych przepisów.</div>

<div class="formParagraph">10. Wolontariusz może powierzyć wykonanie zadania innej osobie, lecz w pełni odpowiada za
wykonanie porozumienia.</div>

<div class="formParagraph">11. Wolontariusz zobowiązuje się do zachowania w tajemnicy wszelkich informacji w zakresie
wykonywanego porozumienia, a zwłaszcza informacji związanych z sytuacją socjalną i
zdrowotną korzystających.</div>

<div class="formParagraph">12. W sprawach nie uregulowanych porozumieniem zastosowanie ma kodeks cywilny oraz Ustawa o
działalności pożytku publicznego i o wolontariacie.</div>

<div class="formParagraph">13. Wolontariusz został poinformowany o przysługujących mu prawach i obowiązkach.</div>

<div class="formParagraph">14. Porozumienie może być wypowiedziane przez każdą ze stron w terminie
<?php echo $cancellationTerm ?></div>

<div class="formParagraph">15. Porozumienie sporządzono w dwóch jednobrzmiących egzemplarzach, po jednym
dla każdej ze stron.</div>

<div class="formParagraph">
	<table style="width: 100%">
		<tr>
			<td class="leftSignature"> Podpis wolonatariusza/szki</td>
			<td class="rightSignature">Podpis przyjmującego</td>
		</tr>
	</table>
</div>

</body>
</html>