<?php
class RetrievePasswordForm extends sfForm
{
	
	function __construct(sfActions $action) {
		$this->action = $action;
       parent::__construct();
   }

  public function configure()
  {
    $this->setWidgets(array(
      'email'   => new sfWidgetFormInputText(array('label' => 'Twój email',))
    ));
 
    
    $this->validatorSchema["email"] = new sfEmailValidatorExtended2(array(), array("exists" => "Podany email nie istnieje w naszym systemie"));
	$this->validatorSchema["email"]->setMessage("required", "Brak adresu email");
    
	$this->validatorSchema->setOption('allow_extra_fields', true);
    $this->validatorSchema->setOption('filter_extra_fields', false);
    
  }
}
?>