<div id="sf_admin_container">
	
	<h1 style="text-align: left">Dla Ciebie / Szukaj wolontariuszy</h1>

	<div>Znaleziono wolontariuszy: <?php  echo $pager->count(); ?> </div>

	<form action="/user/search" method="get">
	
		<select name="sex" class="volSearch">
			<option value="no">płeć</option>
			<?php for($i = 0; $i < count(Volunteer::$sexLabels); $i++) {
				echo "<option value='$i' ";
				if($sex === (string)$i) echo "selected='selected'";
				echo ">".Volunteer::$sexLabels[$i]."</option>";
			} 
			?>
		</select>
	

	
		<select name="ageFrom" class="volSearch">
			<option value="0">rok urodzenia od</option>
			<?php for($i = 1930; $i < 2013; $i++) {
				echo "<option value='$i' ";
				if($ageFrom === $i) echo "selected='selected'";
				echo ">".$i."</option>";
			} 
			?>
		</select>
	
	
		<select name="ageTo" class="volSearch">
			<option value="2030">rok urodzenia do</option>
			<?php for($i = 1930; $i < 2013; $i++) {
				echo "<option value='$i' ";
				if($ageTo === $i) echo "selected='selected'";
				echo ">".$i."</option>";
			} 
			?>
		</select>
	
		
		<select name="education" class="volSearch">
			<option value="no">wykształcenie</option>
			<?php for($i = 0; $i < count(Volunteer::$educationLabels); $i++) {
				echo "<option value='$i' ";
				if($education === (string)$i) echo "selected='selected'";
				echo ">".Volunteer::$educationLabels[$i]."</option>";
			} 
			?>
		</select>
	

	
		<select name="profStatus" class="volSearch">
			<option value="no">sytuacja zawodowa</option>
			<?php for($i = 0; $i < count(Volunteer::$profStatusLabels); $i++) {
				echo "<option value='$i' ";
				if($profStatus === (string)$i) echo "selected='selected'";
				echo ">".Volunteer::$profStatusLabels[$i]."</option>";
			} 
			?>
		</select>
	


	<input type="submit" />
	</form>

	<div class="listItem">
		<table class="results" style="width: 100%">
		<thead>
			<tr>
				<th class="results">Imię i nazwisko</th>
				<th class="results">Płeć</th>
				<th class="results">Rok urodzenia</th>
				<th class="results">Wykształcenie</th>
				<th class="results">Sytuacja zawodowa</th>
				<?php if($isAdmin):?><th class="results">Uwagi</th><?php endif;?>
				<th class="results"></th>
			</tr>
		</thead>
		<tbody>
	<?php
			$isOdd = false;
		foreach ($pager->getResults() as $volunteerObject): ?>
			<tr class="results <?php if($isOdd) echo "odd"; else echo "even"; ?>">
				<td class="results">
					<a class="listMore" href="<?php echo url_for('volunteer_edit', $volunteerObject->getUser()); ?>" title='Edytuj wolontariusza' target='_blank'>
					<?php echo $volunteerObject->getUser()->getName(); ?></a>
				</td>
				<td class="results"><?php echo Volunteer::$sexLabels[$volunteerObject->getIsMale()]; ?></td>
				<td class="results"><?php $volunteerObject->getAge(); ?></td>
				<td class="results"><?php echo Volunteer::$educationLabels[$volunteerObject->getEducation()]; ?></td>
				<td class="results"><?php echo Volunteer::$profStatusLabels[$volunteerObject->getProfStatus()]; ?></td>
				<?php if($isAdmin):?>
				<td class="results">
					<?php if($volunteerObject->getUser()->getComment()):?><img src="/images/exclamationMark.png"  class="exclamationMark" "/><?php endif;?>
				</td>
				<?php endif;?>
				<td class="results">
					<a class="listMore" href="<?php echo url_for('volunteer_details', $volunteerObject->getUser()); ?>">więcej</a>
				</td>
			</tr>
	<?php 
		$isOdd = !$isOdd;
		endforeach; ?>
		</tbody>
	</table>
	</div>
	<?php include_partial('index/pagination', array('link' => '/user/search', 'pager' => $pager, 'arguments' => $args)) ?>
	
</div>